#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_noop_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_config, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_sas_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_sas_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_read_sense_success_ncq_log, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(sata_port_ops, 0x02562d56, "_gpl");
SYMBOL_CRC(ata_link_next, 0x1c1bfeee, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x11016775, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xb4dacb8f, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0xc017a7ee, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x6e09b3b1, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xe03d5d7b, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x4630a7db, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0xab9df025, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xa5478bea, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0xa836ea9a, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xf44d3ac5, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x4375da8c, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0xd4362b68, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x8a347c2f, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xd37e0cb1, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x0c58221e, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0xb03cc085, "_gpl");
SYMBOL_CRC(ata_noop_qc_prep, 0x8fd44c78, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x2b463ab6, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x14d972df, "_gpl");
SYMBOL_CRC(ata_link_online, 0xa32079e3, "_gpl");
SYMBOL_CRC(ata_link_offline, 0xee6d8d2f, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x86c36d24, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x7676debd, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x0b1d9f7c, "_gpl");
SYMBOL_CRC(ata_host_resume, 0xbf6a69ca, "_gpl");
SYMBOL_CRC(ata_host_put, 0xfbd33156, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x6f2a3a99, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xd19ab663, "_gpl");
SYMBOL_CRC(ata_host_start, 0x363200dd, "_gpl");
SYMBOL_CRC(ata_host_init, 0x7a023b70, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xde201e3a, "_gpl");
SYMBOL_CRC(ata_host_register, 0x9af0e4fd, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x5f2db21d, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x8050f954, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x1903066e, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x2689803e, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x0b0bbaf1, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0xed6cedb4, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xf00313d3, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xe37c17ad, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0xe1dd8887, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0xbccd67b9, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x8a41b292, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x5713eb84, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x56ddcef1, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x716fc692, "_gpl");
SYMBOL_CRC(ata_print_version, 0x3aabdcdd, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xee65ee1b, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0xa5387446, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x9228977d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0x997e78b8, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x34bfe4a1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x62f33d2a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xdc54ed08, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x3d0fb009, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x855d1a57, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x87302716, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xc45626d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0xde39d049, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xa800714f, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x4d7e4eb6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x538d34dd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x5b8e485f, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x3e487e53, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x2a91e677, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xa312442a, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x2efb5bb7, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xa2d97ea7, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x9091a982, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xb881d8d8, "_gpl");
SYMBOL_CRC(ata_scsi_slave_config, 0x66a43301, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x092e6967, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x890053a4, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x8eb76ca9, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x1fd3ca0c, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x7b5f633f, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x20853aa3, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xcd5f39df, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x24a4f8e1, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x10a258d3, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x6572932a, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x7ffcf212, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x377ef1a2, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xed72ad30, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x4c8f00e9, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x861f3460, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x047120ca, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xdaefa53e, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x648c6e04, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xbfda3818, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xa0d6a54b, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x0a178ce9, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xd2a573a5, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x8c77eb2d, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xe2b055f7, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xe0fa78bb, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x3fd0b913, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x152a9141, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x819ddd4b, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xe304c124, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xe2b2775b, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x3bb456fc, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x4f96bcf9, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0xd3bb533f, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0xe135777e, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x05288567, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x5a4bf42b, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xb1a34e90, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0xdd0b42b4, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xb59ddd07, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x1623eae4, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x3085f922, "_gpl");
SYMBOL_CRC(ata_sas_port_alloc, 0x8c7713dc, "_gpl");
SYMBOL_CRC(ata_sas_tport_add, 0x7e8b91b7, "_gpl");
SYMBOL_CRC(ata_sas_tport_delete, 0xd949a71d, "_gpl");
SYMBOL_CRC(ata_sas_slave_configure, 0x3224538e, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xe1512d71, "_gpl");
SYMBOL_CRC(sata_async_notification, 0xe4a4e58b, "_gpl");
SYMBOL_CRC(ata_eh_read_sense_success_ncq_log, 0x77ab3cae, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x9a2b1e2b, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0xc9a58001, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x2816e35c, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x2053f621, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x8c54c9e9, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xf739194c, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x8193c547, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xb68c765e, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x0893fbeb, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x78ac4917, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x1e980344, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xfb5c1999, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x97546635, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xdee4c0e8, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x04d15cf6, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x3c58ee66, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x58aa40c9, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x966c007c, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x79642a8c, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x8034b598, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0xf817bc5e, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x12ac277d, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x0c347929, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x7220942e, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0xd733577f, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x23798c13, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x6c0eba1b, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x1cacabf6, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xfd04660c, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0x62b73270, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x8168b7d5, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xf1903221, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x56f95dd9, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x5adc49d2, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xf49ace55, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x94c3d0c2, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x10a56c89, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x2d818293, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x26ead59f, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x82ccc2d8, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x2d022532, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0x8266c68d, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x5c295d7a, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x6c76ac40, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x9da27eb8, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xfcc95a5d, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x3ab43eea, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0xc5b04594, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x6020b183, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x5e706ec2, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x74b5babe, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x05ca82e9, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0x2649db1f, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x73d168e3, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x8538c6e0, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x691a49e2, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xbec3630e, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0xd2a3f8c3, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0xb6a77e34, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xc1ec927b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53ae33e5, "scsi_device_set_state" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x9acaff0e, "pci_read_config_dword" },
	{ 0x6b82b0, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x72f44a28, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5d1ec858, "put_device" },
	{ 0xda9b802e, "devm_free_irq" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbacb541, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9f59c122, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x341338f6, "pcim_iomap_regions" },
	{ 0x86209891, "kobject_uevent_env" },
	{ 0x61246338, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x68715547, "blk_queue_update_dma_alignment" },
	{ 0x75979c30, "scsi_host_put" },
	{ 0x77cc2b18, "transport_class_unregister" },
	{ 0xe75f51f6, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6670d7f8, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdb2f9015, "attribute_container_register" },
	{ 0x489cf18d, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7fa0e603, "__devres_alloc_node" },
	{ 0x890e4095, "sg_miter_stop" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x832f8a1e, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x3ea4c783, "transport_configure_device" },
	{ 0xcebe9eaa, "blk_queue_update_dma_pad" },
	{ 0x735b9665, "devres_open_group" },
	{ 0x1a81717b, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb2add2d9, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6b9e12f8, "transport_add_device" },
	{ 0x15503663, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0x52836637, "bpf_trace_run1" },
	{ 0x35475f03, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x3144c526, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0xa1581901, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xbd1c9280, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x9c477992, "dma_set_coherent_mask" },
	{ 0xc13d22f, "devm_kasprintf" },
	{ 0xd888a48f, "pv_ops" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x6bcdf5e8, "pm_runtime_forbid" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x869ff389, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27efc0ff, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8cb98143, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc1d4df57, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xc9d1c6fa, "pci_disable_device" },
	{ 0x15567551, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1c61d648, "pcim_iomap_table" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xb959320d, "scsi_remove_device" },
	{ 0x921de2d2, "blk_queue_max_hw_sectors" },
	{ 0x2fa558c3, "blk_abort_request" },
	{ 0x6dce531b, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x8e12bebf, "set_primary_fwnode" },
	{ 0x53f1152d, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xf47dc000, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97a362d, "dev_pm_qos_expose_flags" },
	{ 0x5f996a, "pcim_enable_device" },
	{ 0x81dece5f, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xa6ec920, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x182c66d0, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf20a7f4c, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xef7a3602, "acpi_pm_set_device_wakeup" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x312738c7, "pci_bus_type" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xaf2b8221, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xafc5f202, "transport_class_register" },
	{ 0xadd36db, "pci_save_state" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xad499467, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe94cf599, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5efe2835, "devres_release_group" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbd4fa53e, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa1f3036a, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa52288d, "dmam_alloc_attrs" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xbccb271b, "scsi_remove_host" },
	{ 0xdae7a94c, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2f7e1718, "scsi_build_sense" },
	{ 0xa19f480, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x4034c046, "scsi_check_sense" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb323937e, "sdev_evt_send_simple" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2830c847, "sdev_disable_disk_events" },
	{ 0x8e49084b, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "F1DEE6907FAD2A37BB04271");
