#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda9b802e, "devm_free_irq" },
	{ 0xe39b8271, "i2c_del_adapter" },
	{ 0x341338f6, "pcim_iomap_regions" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xe2b31870, "i2c_dw_acpi_configure" },
	{ 0x3af62c86, "i2c_parse_fw_timings" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6bcdf5e8, "pm_runtime_forbid" },
	{ 0xb2d243fb, "pm_runtime_allow" },
	{ 0xfeb455dd, "i2c_dw_validate_speed" },
	{ 0x7d106044, "i2c_dw_configure_master" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0x1c61d648, "pcim_iomap_table" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0x8e12bebf, "set_primary_fwnode" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0x5f996a, "pcim_enable_device" },
	{ 0xd8804d59, "pci_free_irq_vectors" },
	{ 0xefca3c4b, "i2c_dw_probe_master" },
	{ 0xe94cf599, "is_acpi_device_node" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xe571749, "pci_alloc_irq_vectors" },
	{ 0x96de7a7f, "i2c_dw_adjust_bus_speed" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0x9a882ab5, "i2c_new_ccgx_ucsi" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0x9b2576d2, "pci_irq_vector" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "i2c-ccgx-ucsi");

MODULE_ALIAS("pci:v00008086d00000817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001196sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F42sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F46sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C61sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C62sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BC0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007314sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007444sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007464sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5E97CA9C7213C758FA175B3");
