#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x4448fb1e, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x71c51952, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa7aa1149, "platform_get_irq" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0xd7fa5bf9, "i3c_master_register" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x336ded56, "i3c_generic_ibi_get_free_slot" },
	{ 0xbad63dad, "i3c_master_queue_ibi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x94c0051a, "_dev_info" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa64e89c1, "i3c_master_add_i3c_dev_locked" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x961d2150, "i3c_generic_ibi_recycle_slot" },
	{ 0xddd89c1a, "i3c_master_disec_locked" },
	{ 0x30fa17ba, "i3c_master_enec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0xe279e2e3, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc69b9d19, "i3c_master_get_free_addr" },
	{ 0x4b45e994, "i3c_master_set_info" },
	{ 0x2a1a2c5a, "i3c_master_unregister" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xaecdd60c, "__platform_driver_register" },
	{ 0x1a8fd2aa, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcdd044a, "devm_platform_ioremap_resource" },
	{ 0xbac429f7, "devm_clk_get" },
	{ 0xc894d35, "__devm_reset_control_get" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "0D360A450700B628C315A23");
