#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xe12c8e64, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x9bfaa110, "");
SYMBOL_CRC(ib_cm_listen, 0xb170f39a, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x48cc364e, "");
SYMBOL_CRC(ib_send_cm_req, 0x0c6ba7d5, "");
SYMBOL_CRC(ib_send_cm_rep, 0x5e6629ee, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x94576bb3, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xf84a78c5, "");
SYMBOL_CRC(ib_send_cm_drep, 0x410798e6, "");
SYMBOL_CRC(ib_send_cm_rej, 0x6a7d0ac6, "");
SYMBOL_CRC(ib_send_cm_mra, 0xa7beb324, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xa3938601, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xcbebdffa, "");
SYMBOL_CRC(ib_cm_notify, 0x6be3724c, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x45e9ba12, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0xf6b15051, "rdma_create_ah" },
	{ 0xc2d94151, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xef77ac95, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f94fb8c, "ib_register_client" },
	{ 0x8e2f94cc, "ib_unregister_mad_agent" },
	{ 0x330e12c8, "ib_post_send_mad" },
	{ 0x36a70d14, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0xff30da75, "rdma_destroy_ah_attr" },
	{ 0x144631d1, "ib_set_client_data" },
	{ 0x2c0de510, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4cebb754, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x52836637, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x298d67e1, "rdma_destroy_ah_user" },
	{ 0x2e7380a3, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x660b3b0c, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0xcd4512ae, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0x9842ab41, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb503785f, "ib_free_recv_mad" },
	{ 0xf3930303, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8a3fe50a, "ib_modify_mad" },
	{ 0xede73a58, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x88d37398, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc82aff26, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6f37970, "rdma_query_gid" },
	{ 0xd5eab5, "ib_port_register_client_groups" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xeed1c349, "ib_modify_port" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E4E2A2774A72D619A18540F");
