#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x28a8baea, "");
SYMBOL_CRC(flow_resources_alloc, 0xdfa79f3b, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x36ee117d, "");
SYMBOL_CRC(flow_resources_add, 0xb22e7b2d, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xe5069d26, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xa6ed9be5, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x0089f8c8, "");
SYMBOL_CRC(uverbs_idr_class, 0x88563ff3, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x6d6770a8, "");
SYMBOL_CRC(uverbs_fd_class, 0xce9e0dd9, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x4d404491, "");
SYMBOL_CRC(_uverbs_alloc, 0xa77398df, "");
SYMBOL_CRC(uverbs_get_flags64, 0xd8939736, "");
SYMBOL_CRC(uverbs_get_flags32, 0x1405bf08, "");
SYMBOL_CRC(uverbs_copy_to, 0x34f5f8ca, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x01bbadc4, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xaa39a36f, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x2638354c, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xeea5bb82, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x721c6a03, "");
SYMBOL_CRC(ib_umem_get, 0xc69e9e01, "");
SYMBOL_CRC(ib_umem_release, 0x0377b176, "");
SYMBOL_CRC(ib_umem_copy_from, 0x103c549f, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xb3915137, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x6b2174d4, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x16f0dce3, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x27c849ca, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x08881585, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xaac832eb, "");
SYMBOL_CRC(ib_umem_odp_get, 0x3271e92e, "");
SYMBOL_CRC(ib_umem_odp_release, 0x429b515e, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x165b77f2, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x5578f1a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64185ad5, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xd5a43273, "nla_put" },
	{ 0x10885bdc, "ww_mutex_lock" },
	{ 0x454f71e7, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x88635f54, "ib_qp_usecnt_inc" },
	{ 0xa77dee92, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe89f2981, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56e1c9ab, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd893ccb9, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2e26f9c1, "rdma_create_user_ah" },
	{ 0x298d67e1, "rdma_destroy_ah_user" },
	{ 0x5f2a9558, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4dd61cb, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xa2c4ff6, "__mmdrop" },
	{ 0x5b54ccec, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb00fb9bf, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x6af9e056, "__mmap_lock_do_trace_start_locking" },
	{ 0xe6376c5c, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd14d1b5, "igrab" },
	{ 0x366b5e19, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86047e01, "mmput" },
	{ 0x40081989, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x80d87178, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1c204baf, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0f2e55f, "__mmap_lock_do_trace_released" },
	{ 0x81dfb655, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x169a49ba, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfb68d263, "ib_dealloc_xrcd_user" },
	{ 0x4fdbd5bd, "dma_buf_detach" },
	{ 0x76386d36, "stream_open" },
	{ 0x61ab22c7, "mmu_interval_notifier_insert" },
	{ 0x3d7736bb, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xdfa6702e, "ib_open_qp" },
	{ 0x25ff5c23, "ib_dealloc_pd_user" },
	{ 0x1f136489, "rdma_get_gid_attr" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0xee6181bf, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xcf767adb, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x2c029b86, "rdma_query_gid_table" },
	{ 0xfe82a47b, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbb21794, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfbddeb23, "ib_attach_mcast" },
	{ 0x77818f64, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xb3e58a12, "ib_destroy_wq_user" },
	{ 0xfc6cefcc, "put_pid" },
	{ 0x61868f5c, "class_register" },
	{ 0x750dbf99, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x77cfd31f, "rdma_user_mmap_entry_put" },
	{ 0xeb249eb2, "pin_user_pages_fast" },
	{ 0x2f45845f, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdb84163b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x88d37398, "ib_unregister_client" },
	{ 0x671a2a34, "show_class_attr_string" },
	{ 0xa5a51ae, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0x5dbf1015, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4629905b, "mmu_interval_read_begin" },
	{ 0x446f9d16, "ib_create_qp_user" },
	{ 0x3fb7e327, "dma_resv_wait_timeout" },
	{ 0x5a00a109, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd636b0d9, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3b1dbced, "kill_fasync" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0xb8a8ebd7, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xa1852ff8, "fget" },
	{ 0xecef86cf, "__put_task_struct" },
	{ 0xf2916780, "ib_query_srq" },
	{ 0x775ca3f7, "ww_mutex_unlock" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0x2a102760, "__dynamic_ibdev_dbg" },
	{ 0x1602fb86, "ib_rdmacg_try_charge" },
	{ 0xe8b23aed, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x518127ba, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xb11b5c58, "unpin_user_page_range_dirty_lock" },
	{ 0xe53c081e, "iput" },
	{ 0x5cf1f284, "dma_buf_unpin" },
	{ 0x126fe6b1, "zap_vma_ptes" },
	{ 0x99338286, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfc90d48e, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x948e8806, "rdma_dev_access_netns" },
	{ 0xda41fc83, "get_device" },
	{ 0x4b1a0e0e, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd7c98ca2, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xab66c0e2, "dma_buf_dynamic_attach" },
	{ 0x58be1ef7, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x4e065fd8, "ib_destroy_srq_user" },
	{ 0x956a2e70, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa26d8d75, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x329f4cb4, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6354225, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5d1ec858, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x1b2015f1, "ib_modify_qp_with_udata" },
	{ 0xd412da87, "ib_register_event_handler" },
	{ 0x969ffb2, "ib_detach_mcast" },
	{ 0x5482d57b, "dma_buf_map_attachment" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0xb55c2e37, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x92448ee, "module_put" },
	{ 0x3f94fb8c, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x677d6ebd, "compat_ptr_ioctl" },
	{ 0xc3dfd590, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x8fb53515, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xbeded0e8, "fput" },
	{ 0x144631d1, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x7ddd78de, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4cebb754, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb52531c4, "dma_buf_get" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E41373C7368F75702CD0368");
