#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe39b8271, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xf3510f60, "usb_free_coherent" },
	{ 0xb6f0da86, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d471ab, "usb_control_msg" },
	{ 0xdb8bdde2, "v4l2_ctrl_subscribe_event" },
	{ 0x14692937, "v4l2_fh_init" },
	{ 0x1c716590, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61afa8dc, "i2c_new_client_device" },
	{ 0x8a99b3f7, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf804732b, "v4l2_device_disconnect" },
	{ 0x42fc5d72, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x326c685c, "v4l2_device_register" },
	{ 0x94c240b, "i2c_add_adapter" },
	{ 0xb641f498, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x2a068b85, "__video_register_device" },
	{ 0xd782da83, "usb_kill_urb" },
	{ 0x7bca8d98, "v4l2_ctrl_new_std" },
	{ 0xb9b3d2f6, "v4l2_ctrl_handler_free" },
	{ 0xe0ebde8d, "v4l2_device_unregister" },
	{ 0x5a0db3a0, "v4l2_ctrl_log_status" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xa122d2c9, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x76edc3bd, "v4l2_event_unsubscribe" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa5bd7ce5, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x843a4a13, "v4l2_ctrl_poll" },
	{ 0x1434399e, "video_ioctl2" },
	{ 0xd1a039db, "usb_free_urb" },
	{ 0x82ebecd4, "param_ops_uint" },
	{ 0x409aa3cd, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f482e81, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa82c7e6a, "usb_register_driver" },
	{ 0xd79dbe63, "v4l2_ctrl_handler_init_class" },
	{ 0x1b19b8b3, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7ea2c012, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4891d444, "usb_put_dev" },
	{ 0xcdbb3dff, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ef12607, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x159ca6f, "usb_get_dev" },
	{ 0x99155e40, "usb_submit_urb" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");
