#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xf1fa7587, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x50ac1627, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xf5d71131, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0xc9ed23c8, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xa1542d01, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x1fdfcc9f, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xbe7ace99, "_gpl");
SYMBOL_CRC(nanddev_init, 0xf53cac52, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x5444703a, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x5e203e12, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x211d5a10, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x4b790ea7, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x4d197e29, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x9acda519, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xbcce81c7, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xdfd7ab2d, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xdff17c58, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x7b6f8f4e, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x402b424a, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x9e82c897, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xfff40e7f, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x15fc01f2, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xa5fbc8f8, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x955b4a65, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x8d4a1221, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x9c3c23ac, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0xc39bd370, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x963e195a, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xabb089b1, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xcc1e2393, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x4d168670, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x75721d2f, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xc1879d30, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x60bfe600, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x198c39f1, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0xeb8e58c0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x4814e6e0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x98537ec8, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xe441b152, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x24e68ba2, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x2c21b3a2, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xe37910d2, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x53723b7b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf23434f1, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d1ec858, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe534517, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xce8469f7, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
