#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0x9a033246, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x8f7fcc24, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x81a59dbe, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0x956f9678, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x5110ff51, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0xb837c86b, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0x8db3a044, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0xcc63c580, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0x3037ea84, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0x111dfa61, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x241a2a6c, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0x87cdc1e5, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0x336df64b, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0xaa8b1e48, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0xae671876, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0x343c5923, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0xa4fc3908, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0xf391e023, "_gpl");
SYMBOL_CRC(octeon_send_command, 0x5cb4de62, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0x33cfb1f1, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0xaef7a298, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xc5e8d0a9, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0xd35de781, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0x34a69065, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0x642e33bf, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xc07c2c0e, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0xe32cf19c, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0x519a71ad, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x238dcbcf, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0xf7dd3931, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0x93557395, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0x8bb75b87, "_gpl");
SYMBOL_CRC(octeon_register_device, 0xf26bde07, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0x52453b64, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0xf765f22c, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0x6ae703f3, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x349364f8, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0xffc79b4f, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0xb419e417, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0xbadde439, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0xdf8c1b97, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0x34f305e9, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x544fb4bd, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x51f03369, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0x3d894c5a, "_gpl");
SYMBOL_CRC(lio_get_device, 0xdeeec909, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x02f6649b, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0x25260ba4, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0xd2879027, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0xf8115ddf, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0x68d02b0b, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x4fbcdae3, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0xcdd2b323, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0x0c69f96b, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0xf06d10dd, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0x77e8bef9, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0xf2b3597c, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0xfa8a1d39, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x7d895883, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0x90fe0e05, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0x94a212e8, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0xef56522b, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0xf92526d2, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0xe308ccbc, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0x7f314514, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0x90d9dfce, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0xa3d4167d, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0xb0ea575d, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0x3b355d34, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x7911ff84, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0x4e33e0c6, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x5a886795, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16a21421, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x75d7eb60, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7dce1ed3, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x154faff5, "netif_set_real_num_tx_queues" },
	{ 0x5d83f198, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7559d05e, "dma_alloc_attrs" },
	{ 0x11283b38, "pcie_flr" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf4238194, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x252a77a8, "ethtool_op_get_link" },
	{ 0x18e29a3b, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf94fe85, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x80cafe07, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x51fc2d80, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c597b3f, "_dev_notice" },
	{ 0x395b3662, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda1fa56e, "call_netdevice_notifiers" },
	{ 0x80d87178, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe076e46e, "__folio_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd1c9d03f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96bdef4d, "skb_add_rx_frag_netmem" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x57489cb2, "__napi_schedule_irqoff" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6632ec24, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x45902376, "pci_write_config_dword" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x68f1eac2, "netdev_info" },
	{ 0xe1fecaff, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb9e75598, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x63f0e955, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x9a29c44d, "pci_disable_msi" },
	{ 0xbfe837f4, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xe9a9b97b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0x288fd4cd, "eth_type_trans" },
	{ 0x9acaff0e, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0xac7313bb, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0x92b57b02, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "85FB493209FC0CB548B7C03");
