#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8890675, "dcb_getapp" },
	{ 0x1a5f29a4, "dcb_setapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51ce2a98, "__pskb_pull_tail" },
	{ 0x51fc2d80, "__netdev_alloc_skb" },
	{ 0x33ab0dd5, "pci_reset_function" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c477992, "dma_set_coherent_mask" },
	{ 0x5a676e71, "in_dev_finish_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x395b3662, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xabc241b2, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2139fed, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbb6ae7ed, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c0798d, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x96a52bae, "netif_carrier_on" },
	{ 0xa8a1167e, "hwmon_device_unregister" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd1c9d03f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xba9213bd, "dev_uc_add_excl" },
	{ 0xc9d1c6fa, "pci_disable_device" },
	{ 0x3668da0e, "dev_mc_add_excl" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x77d71331, "napi_disable" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9a0ef9bd, "hwmon_device_register_with_groups" },
	{ 0xfccc8b4a, "sysfs_remove_bin_file" },
	{ 0xeb0c6671, "dcbnl_cee_notify" },
	{ 0x126cb4cb, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x68f1eac2, "netdev_info" },
	{ 0xaec25499, "device_remove_bin_file" },
	{ 0xa6319caf, "device_remove_file" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53316bfa, "alloc_etherdev_mqs" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbc493db8, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa89a9cd1, "skb_copy_bits" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc57bf23a, "pci_enable_device" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x165d30ee, "netdev_update_features" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x63f0e955, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3ef47b70, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb7661f79, "pci_dev_put" },
	{ 0xf2a7e840, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0xbd3ca847, "dev_uc_del" },
	{ 0x96848186, "scnprintf" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0x21e434be, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9a29c44d, "pci_disable_msi" },
	{ 0xc1b2382a, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x432a19a8, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec657e42, "netdev_warn" },
	{ 0x2f70d354, "udp_tunnel_nic_ops" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0xe9a9b97b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xce17d7d6, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0x570ca99f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17af8afa, "device_create_bin_file" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0x288fd4cd, "eth_type_trans" },
	{ 0x9acaff0e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0xac7313bb, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xed31340c, "ndo_dflt_fdb_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0x92b57b02, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9998366d, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x75d7eb60, "napi_gro_receive" },
	{ 0x55a43ce4, "netif_device_attach" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc4a882ab, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x86209891, "kobject_uevent_env" },
	{ 0xfa43bf39, "vlan_dev_real_dev" },
	{ 0x7dce1ed3, "pci_enable_msi" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x9b4cbed2, "device_wakeup_enable" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x154faff5, "netif_set_real_num_tx_queues" },
	{ 0x5d83f198, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f67fbf8, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7559d05e, "dma_alloc_attrs" },
	{ 0x5a088acf, "ndo_dflt_fdb_dump" },
	{ 0x489cf18d, "pci_read_config_word" },
	{ 0xd102d455, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x6c01f356, "netif_receive_skb" },
	{ 0x217f56d0, "register_netdev" },
	{ 0xb4dd82ed, "dev_mc_del" },
	{ 0x24495062, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3cd06b70, "ndo_dflt_fdb_del" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x252a77a8, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb58a55ad, "netif_tx_stop_all_queues" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0xdf94fe85, "netif_tx_wake_queue" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001077d00008020sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008030sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008430sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008830sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008C30sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008040sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00001077d00008440sv*sd*bc02sc00i00*");

MODULE_INFO(srcversion, "56DBEC28A2B7B2333184EA7");
