#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc4a882ab, "device_create_file" },
	{ 0x61623fb7, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbdf5f23c, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xde1685f2, "flow_rule_match_ct" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x7dce1ed3, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xa67e2f38, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x587c0e9e, "softnet_data" },
	{ 0x53ddd814, "ipv6_stub" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x923a79ab, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x154faff5, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5d83f198, "netif_set_real_num_rx_queues" },
	{ 0x5843af1e, "flow_indr_block_cb_alloc" },
	{ 0x384c0f19, "devl_port_register_with_ops" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0xbb028139, "netdev_printk" },
	{ 0x45538e7b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7559d05e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd102d455, "napi_enable" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x6c01f356, "netif_receive_skb" },
	{ 0x217f56d0, "register_netdev" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x24495062, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x252a77a8, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc4f8ec45, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb58a55ad, "netif_tx_stop_all_queues" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0xdf94fe85, "netif_tx_wake_queue" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xefc1224a, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x9726a878, "flow_rule_match_ports" },
	{ 0x2d3623af, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x80cafe07, "netif_schedule_queue" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb8cd4277, "flow_rule_match_ipv6_addrs" },
	{ 0x356461c8, "rtc_time64_to_tm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3815c61, "ptp_clock_unregister" },
	{ 0x51ce2a98, "__pskb_pull_tail" },
	{ 0xeaa852f6, "netif_tx_lock" },
	{ 0x51fc2d80, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xc1474b71, "__neigh_event_send" },
	{ 0xc957c9f1, "flow_block_cb_alloc" },
	{ 0x33ab0dd5, "pci_reset_function" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x186135bf, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x7efe40ef, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc172bc2, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11eae1ab, "xdp_return_frame_rx_napi" },
	{ 0x9c477992, "dma_set_coherent_mask" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0xd888a48f, "pv_ops" },
	{ 0x9a840549, "flow_rule_match_enc_control" },
	{ 0x30b5d709, "__put_net" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe13af85e, "rps_may_expire_flow" },
	{ 0x4f566bfa, "neigh_destroy" },
	{ 0x395b3662, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe8c1478a, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xccbf8071, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98c708b5, "flow_rule_match_vlan" },
	{ 0x80d87178, "alloc_pages" },
	{ 0x54b2281d, "devl_port_unregister" },
	{ 0x18f87bf9, "xdp_rxq_info_unreg" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe076e46e, "__folio_put" },
	{ 0xc7abfe23, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2139fed, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbe6ac9b8, "pci_find_next_ext_capability" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x853133d8, "devlink_priv" },
	{ 0x5c0798d, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x78041b52, "dst_release" },
	{ 0x96a52bae, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0xa8a1167e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd1c9d03f, "pci_disable_msix" },
	{ 0xc2afa153, "ktime_get_snapshot" },
	{ 0xf9975f37, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc9d1c6fa, "pci_disable_device" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc10c4eb, "netif_set_tso_max_size" },
	{ 0xb931f684, "__skb_flow_dissect" },
	{ 0xbedb40c0, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x96bdef4d, "skb_add_rx_frag_netmem" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x326e35d6, "xdp_master_redirect" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x77d71331, "napi_disable" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0xcd7143a4, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc2f894cc, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6632ec24, "pci_release_region" },
	{ 0x9a0ef9bd, "hwmon_device_register_with_groups" },
	{ 0x1983e3ed, "flow_rule_match_control" },
	{ 0xe4550bc6, "flow_rule_match_ip" },
	{ 0x126cb4cb, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf0d0ef26, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x68f1eac2, "netdev_info" },
	{ 0xa6319caf, "device_remove_file" },
	{ 0x729ad873, "neigh_lookup" },
	{ 0x194b4b0, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x45911263, "register_netdevice" },
	{ 0x58cc570e, "__tracepoint_xdp_exception" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x53316bfa, "alloc_etherdev_mqs" },
	{ 0x284342d9, "flow_block_cb_lookup" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x693cb2f5, "napi_gro_frags" },
	{ 0xce36d64e, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb9e75598, "pci_request_region" },
	{ 0xe7597993, "flow_rule_match_enc_keyid" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb3bee66c, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa89a9cd1, "skb_copy_bits" },
	{ 0x82ebecd4, "param_ops_uint" },
	{ 0xde699abb, "pci_msix_vec_count" },
	{ 0xc57bf23a, "pci_enable_device" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf8db92d6, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x1a72bd56, "flow_indr_dev_register" },
	{ 0x34f1d9e8, "mtd_device_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x662d7ff, "ip6_dst_hoplimit" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x1c55b0a, "flow_rule_match_enc_ip" },
	{ 0x63f0e955, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ef47b70, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x58d1ce4d, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x7b4d131e, "bpf_warn_invalid_xdp_action" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xf2a7e840, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xdac202b3, "napi_get_frags" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xa5baff49, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x10df9b1b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ea787, "flow_rule_match_tcp" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x43c6f93b, "flow_rule_match_cvlan" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x3713a499, "pci_num_vf" },
	{ 0xfc3abfed, "flow_rule_match_eth_addrs" },
	{ 0x9a29c44d, "pci_disable_msi" },
	{ 0xbfe837f4, "ptp_clock_index" },
	{ 0x52b0cc5d, "dev_alloc_name" },
	{ 0xfff76ae6, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1127075, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x52d54ed2, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xe2927aed, "xdp_do_redirect" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xc40e2aa, "devlink_free" },
	{ 0x432a19a8, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xec657e42, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3f79ed84, "flow_rule_match_ipv4_addrs" },
	{ 0x52bd414b, "ip_route_output_flow" },
	{ 0xe9a9b97b, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x94f9d490, "unregister_netdevice_queue" },
	{ 0x3b70bbcd, "mtd_device_parse_register" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xaa261d98, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x6a927a31, "netdev_features_change" },
	{ 0x570ca99f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa3223738, "skb_queue_purge_reason" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x288fd4cd, "eth_type_trans" },
	{ 0x9acaff0e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0xac7313bb, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf8956887, "devlink_port_attrs_pci_vf_set" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf2509ac6, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x92b57b02, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x38eae92c, "devlink_port_attrs_pci_pf_set" },
	{ 0x7fdf9584, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x3da757b4, "__alloc_skb" },
	{ 0x9998366d, "netif_device_detach" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x55a43ce4, "netif_device_attach" },
	{ 0x2b8bf0ed, "skb_queue_tail" },
	{ 0x30f1141d, "flow_indr_dev_unregister" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd");

MODULE_ALIAS("pci:v000010EEd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010EEd00001100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000923sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001923sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000A03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001A03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000B03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001B03sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6212C7A7802DC29E0AE6586");
