#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x9af3a0a3, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xf2206394, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x11eae1ab, "xdp_return_frame_rx_napi" },
	{ 0xa5baff49, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe85b0bd9, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa2bc1973, "sock_init_data_uid" },
	{ 0x12769e0, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9416aed2, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb479bfed, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf8db92d6, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc4e8b5b8, "skb_copy_ubufs" },
	{ 0xa1fec76c, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec27c5d0, "___pskb_trim" },
	{ 0xa3223738, "skb_queue_purge_reason" },
	{ 0x77d71331, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x18f87bf9, "xdp_rxq_info_unreg" },
	{ 0xe9a9b97b, "__netif_napi_del" },
	{ 0x92448ee, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0x154faff5, "netif_set_real_num_tx_queues" },
	{ 0x5d83f198, "netif_set_real_num_rx_queues" },
	{ 0x94f9d490, "unregister_netdevice_queue" },
	{ 0x742fdb42, "netdev_state_change" },
	{ 0xe8e3fa3a, "build_skb" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0x8e221fa1, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbe7db0d1, "_copy_to_iter" },
	{ 0xe83cfd10, "iov_iter_advance" },
	{ 0x1adce044, "skb_copy_datagram_iter" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x570ca99f, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cfa5f69, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb931f684, "__skb_flow_dissect" },
	{ 0x8e645ac2, "skb_partial_csum_set" },
	{ 0x51ce2a98, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xfece1b46, "xdp_rxq_info_is_reg" },
	{ 0xb215b1fe, "lock_sock_nested" },
	{ 0x43658b98, "sk_attach_filter" },
	{ 0x1240bf1e, "release_sock" },
	{ 0xc7abfe23, "__xdp_rxq_info_reg" },
	{ 0x2499089c, "xdp_rxq_info_reg_mem_model" },
	{ 0x63f0e955, "netif_napi_add_weight" },
	{ 0xd102d455, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2d018a3d, "ns_capable" },
	{ 0xac7dc484, "get_net_ns" },
	{ 0xc2018b8, "open_related_ns" },
	{ 0x1ea79aa7, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x5f0dbc3f, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x2046a886, "alloc_netdev_mqs" },
	{ 0x4b32f9fc, "ip_tunnel_header_ops" },
	{ 0x45911263, "register_netdevice" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4354638, "sk_detach_filter" },
	{ 0x39e5f033, "dev_get_mac_address" },
	{ 0xacf712af, "dev_set_mac_address_user" },
	{ 0x165d30ee, "netdev_update_features" },
	{ 0x439ac4bd, "make_kuid" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x223f1711, "from_kuid" },
	{ 0xdf94fe85, "netif_tx_wake_queue" },
	{ 0x4bcc8435, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0xda1fa56e, "call_netdevice_notifiers" },
	{ 0x24495062, "free_netdev" },
	{ 0x10277a38, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x408c0e43, "from_kgid" },
	{ 0xb39d423, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82f2bdec, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x326e35d6, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe076e46e, "__folio_put" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0xaa496e60, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d99c60a, "sock_alloc_send_pskb" },
	{ 0xb26127a7, "zerocopy_sg_from_iter" },
	{ 0x288fd4cd, "eth_type_trans" },
	{ 0x9d40ce97, "skb_copy_datagram_from_iter" },
	{ 0x1233e2ea, "do_xdp_generic" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0x6c01f356, "netif_receive_skb" },
	{ 0x9a418b9f, "skb_push" },
	{ 0xfd932861, "eth_get_headlen" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x693cb2f5, "napi_gro_frags" },
	{ 0xdac202b3, "napi_get_frags" },
	{ 0x98ccc9, "iov_iter_single_seg_count" },
	{ 0x7f55bd30, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0x83eef22f, "__page_frag_cache_drain" },
	{ 0x6555bef, "passthru_features_check" },
	{ 0x3bbbfa49, "eth_mac_addr" },
	{ 0x432a19a8, "eth_validate_addr" },
	{ 0x252a77a8, "ethtool_op_get_link" },
	{ 0x502bf48d, "ethtool_op_get_ts_info" },
	{ 0xc4f8ec45, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x454f71e7, "fasync_helper" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xd33b2bd9, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x68f1eac2, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x96a52bae, "netif_carrier_on" },
	{ 0xc2139fed, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5df358c4, "from_kgid_munged" },
	{ 0x5cfd98e0, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4f71cab, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb58a55ad, "netif_tx_stop_all_queues" },
	{ 0x977be3f6, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdeee53a5, "bpf_prog_get_type_dev" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe03cc93e, "rtnl_link_register" },
	{ 0xf12e2209, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe39439c7, "misc_deregister" },
	{ 0xd3bd1648, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x311f5248, "xdp_return_frame" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x3b1dbced, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8696baa, "net_hotdata" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x75d7eb60, "napi_gro_receive" },
	{ 0xac7313bb, "napi_complete_done" },
	{ 0xb3bee66c, "bpf_prog_put" },
	{ 0x7f7f3c53, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2927aed, "xdp_do_redirect" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b4d131e, "bpf_warn_invalid_xdp_action" },
	{ 0x58cc570e, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53EA1B7BA89C7C4426A4C9C");
