#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x7bf63c93, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xb3bbe25c, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x9a6ba9cd, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xee3d94a3, "_gpl");
SYMBOL_CRC(p54_rx, 0x8e6a4160, "_gpl");
SYMBOL_CRC(p54_init_common, 0x607af1a4, "_gpl");
SYMBOL_CRC(p54_register_common, 0xcc5d905a, "_gpl");
SYMBOL_CRC(p54_free_common, 0x67781387, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x5c801e43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6971a07, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a2acb8a, "__ieee80211_get_tx_led_name" },
	{ 0xa3223738, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x97ec485a, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x8052bceb, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe6696b3, "__ieee80211_get_rx_led_name" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x2b8bf0ed, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x81f1b6b, "ieee80211_queue_delayed_work" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a418b9f, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbfa6a229, "ieee80211_free_txskb" },
	{ 0x608b8ab0, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8ed1415, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x349660ed, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x997fad0d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x58f91cc1, "ieee80211_stop_queue" },
	{ 0x51fc2d80, "__netdev_alloc_skb" },
	{ 0x186135bf, "skb_trim" },
	{ 0x1cbbe10a, "skb_unlink" },
	{ 0xf74de7d7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xa7339e5a, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x51a20224, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46786756, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0xf47dc000, "_dev_printk" },
	{ 0xd34351a4, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x961245de, "ieee80211_rx_irqsafe" },
	{ 0x194b4b0, "skb_queue_head" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x10df9b1b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x34f822a5, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x72e888b1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaab8815, "led_classdev_unregister" },
	{ 0xb374275e, "ieee80211_register_hw" },
	{ 0x299ceb20, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb4688747, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb8ff906c, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");
