#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0xfe926e61, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x54fc8812, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0xde71f312, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x891d4d6d, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x97e3afae, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0xfde16e5d, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x5749d0d9, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x1bd58132, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x0a7f4afb, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x55f49262, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0x8062d3af, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x61114888, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x2bb260d0, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x69c6d4aa, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x9b16c30c, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xcb10ae81, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0x2fc11009, "_gpl");
SYMBOL_CRC(__mt7925_start, 0xb868b891, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0x3b3af6d1, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_assoc, 0xa8130435, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0xf72ba6c6, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x16d7b33f, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0xd69b48ad, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x3297061f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb4688747, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x943fc2ee, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x148dc9, "mt76_wcid_init" },
	{ 0xf811dd01, "wake_up_process" },
	{ 0xb2ab5025, "mt76_connac_free_pending_tx_skbs" },
	{ 0x94045c94, "mt792x_sta_statistics" },
	{ 0xa3223738, "skb_queue_purge_reason" },
	{ 0x855cfb71, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee7316d2, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c0e4dd1, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb0c5b5ab, "mt792x_get_et_sset_count" },
	{ 0x804ef4f4, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xc91dd2f4, "mt792x_init_acpi_sar_power" },
	{ 0x8ee669b9, "mt792x_set_wakeup" },
	{ 0x347f901c, "mt76_wcid_key_setup" },
	{ 0xa0e411d1, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x2b8bf0ed, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa4b53d89, "mt76_rx" },
	{ 0x1010c388, "mt792x_load_firmware" },
	{ 0x6fea0b01, "mt792x_get_et_stats" },
	{ 0x4c6f9e57, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4d7e6de2, "wiphy_to_ieee80211_hw" },
	{ 0x6a28105d, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x86a84387, "mt76_tx_status_skb_done" },
	{ 0x81f1b6b, "ieee80211_queue_delayed_work" },
	{ 0x5ec8fff, "devm_kmemdup" },
	{ 0x54d2d740, "devm_kfree" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x16b3f1ae, "mt76_register_device" },
	{ 0x5f9009b5, "mt792x_get_stats" },
	{ 0x7ee25552, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xec5b43d3, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcb938f02, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a418b9f, "skb_push" },
	{ 0x62d95107, "ieee80211_wake_queues" },
	{ 0x229489ca, "mt76_mcu_send_and_get_msg" },
	{ 0xc2099868, "ieee80211_beacon_get_template" },
	{ 0x7f6436ff, "mt792x_pm_stats" },
	{ 0x9be3dcfa, "mt76_eeprom_override" },
	{ 0xb099e914, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94c58a88, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x567788c2, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbf939df, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x742de0c0, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xa6c0e4e5, "__alloc_pages" },
	{ 0x455b827d, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f14186c, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51ce2a98, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x9e1dd210, "mt792x_tx" },
	{ 0x97bce783, "mt792x_get_et_strings" },
	{ 0xb3227b6d, "mt76_sta_state" },
	{ 0xd75bed34, "ieee80211_ready_on_channel" },
	{ 0x5ea01be5, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc13d22f, "devm_kasprintf" },
	{ 0xf0b7b20b, "cfg80211_reg_can_beacon" },
	{ 0x38eaa042, "mt792x_remove_interface" },
	{ 0xe764f4f, "seq_read" },
	{ 0xd0aec727, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa72aa1d4, "mt76_connac2_mac_tx_rate_val" },
	{ 0x9d8b5f13, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xf01d95e2, "mt792x_queues_read" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x5dd50aec, "mt792x_queues_acq" },
	{ 0x48775863, "mt76_get_rate_power_limits" },
	{ 0x7c4d1607, "ieee80211_sched_scan_results" },
	{ 0xd17133e9, "ieee80211_scan_completed" },
	{ 0xef588dbe, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6b354fa2, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x36f441b4, "mt792x_tx_stats_show" },
	{ 0x6ef2f523, "mt76_connac_mcu_set_suspend_mode" },
	{ 0xf9300c85, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe076e46e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x96118b13, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xea51c8a8, "mt76_get_sar_power" },
	{ 0x129ebcab, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc485064d, "mt792x_mac_init_band" },
	{ 0x7ff14721, "mt76_skb_adjust_pad" },
	{ 0xaae5ba5e, "mt76_put_txwi" },
	{ 0xbb493b0a, "mt792x_init_wiphy" },
	{ 0x858e6dde, "seq_puts" },
	{ 0x60c677cd, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xc4c68720, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b26cb2d, "mt76_queues_read" },
	{ 0x6050589, "mt76_sta_pre_rcu_remove" },
	{ 0x7fa51c48, "mt76_register_debugfs_fops" },
	{ 0x3a59e219, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xcaee775d, "__mt76_set_tx_blocked" },
	{ 0x8fd5f8b4, "ieee80211_queue_work" },
	{ 0xa3626e75, "mt792x_mac_reset_counters" },
	{ 0x1432f983, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x164e355e, "__mt76_poll" },
	{ 0x5f0d6ff1, "mt76_rx_aggr_stop" },
	{ 0x128f69e5, "single_open" },
	{ 0x3731ee22, "mt792x_unassign_vif_chanctx" },
	{ 0x2631d2c0, "mt76_connac_get_phy_mode" },
	{ 0x85472f86, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x4b499f44, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x487f57d3, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xdcd5d011, "mt792x_init_wcid" },
	{ 0x53151a02, "mt792x_init_acpi_sar" },
	{ 0xffe52f94, "mt76_init_sar_power" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xfe294501, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x491ba272, "simple_attr_open" },
	{ 0x398792fa, "ieee80211_iterate_interfaces" },
	{ 0xd69c5655, "mt792x_stop" },
	{ 0xacab4294, "mt76_connac_get_ch_power" },
	{ 0xf258a6e3, "debugfs_attr_write" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4bfdd76, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21015c68, "mt76_tx_status_skb_get" },
	{ 0x1fc9e397, "mt792x_tx_worker" },
	{ 0x645e4235, "mt792x_flush" },
	{ 0xf8471284, "mt76_tx_status_lock" },
	{ 0x812ee817, "mt792x_rx_get_wcid" },
	{ 0x10df9b1b, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6cd647d3, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xef600079, "mt76_release_buffered_frames" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0x7fec0654, "mt76_get_txpower" },
	{ 0x1c6cbafc, "mt76_connac_mcu_sta_uapsd" },
	{ 0xe49b7e69, "mt76_tx_status_skb_add" },
	{ 0xba394cdb, "mt76_connac_pm_wake" },
	{ 0x1980cc69, "mt76_get_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x4e1b2c72, "mt76_wake_tx_queue" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5a4b1c8, "mt76_get_antenna" },
	{ 0xc0340412, "mt792x_set_coverage_class" },
	{ 0x3bc07148, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb1e78316, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0x94a49df1, "mt76_set_stream_caps" },
	{ 0xfec62201, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt792x-lib,mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "32399F753FFA7C98FC44D56");
