#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0xfdd2a9e4, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x04aa494d, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x112a94c2, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0xb89255a1, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x47addea4, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xda5dabd6, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x9146cfb0, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x411d3b34, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xb94b20f1, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x7cb1293b, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x3d3893f7, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x636850f5, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x156d8861, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xb765b3e5, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xc2a52721, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xdb2e50df, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0xe5914e44, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x9636bb3a, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xa5e853f6, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x583eeb6d, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xe35f9f56, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xc4e81a0a, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x190c8dd7, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xe69aeadc, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x94ef49a3, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x5eb6a444, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x567379d9, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x64b336ff, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x34dd2098, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x4cc1c97e, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x75bd2634, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf811dd01, "wake_up_process" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5d1ec858, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x1fada8c5, "device_for_each_child_reverse" },
	{ 0x9b030fd, "kmem_cache_alloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x16a526d3, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0x4bde254c, "devm_acpi_dev_add_driver_gpios" },
	{ 0xd5d5c019, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xe75f51f6, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x547d9e1, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb683e27e, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xd24abade, "sysfs_create_group" },
	{ 0xd92ad54f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x51d4bada, "serdev_device_wait_until_sent" },
	{ 0xa68050d4, "__serdev_device_driver_register" },
	{ 0x52836637, "bpf_trace_run1" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x432a4bc9, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x42801245, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x85aecd0d, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0x280b49c0, "kthread_create_on_node" },
	{ 0x8cf28143, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdfbfaad6, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xf78316e0, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x182c66d0, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x7c046752, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x104b46e8, "bus_register" },
	{ 0xc98ea110, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa1d99fa8, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xe94cf599, "is_acpi_device_node" },
	{ 0x53499857, "gpiod_put" },
	{ 0xb4c38960, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x232d4bcc, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf31180cf, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x703eee03, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0x645a8d16, "serdev_device_set_flow_control" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x79a61d07, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b516fa0, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x5c06c7cf, "fwnode_get_next_child_node" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x7e2f0577, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x75eb12e2, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "E90C11F95988926FE69F7B0");
