#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72802766, "remove_proc_entry" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a1729b4, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x192ee3b7, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe39439c7, "misc_deregister" },
	{ 0xa8a1167e, "hwmon_device_unregister" },
	{ 0xe27f0226, "iio_device_unregister" },
	{ 0xd851fd8a, "iio_device_free" },
	{ 0x2db9a7bf, "input_unregister_device" },
	{ 0x1e022397, "backlight_device_unregister" },
	{ 0xaab8815, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6dff869, "battery_hook_unregister" },
	{ 0xb2147a6c, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8cf28143, "sysfs_remove_group" },
	{ 0xbf54a4b2, "device_remove_groups" },
	{ 0x5f068a70, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x128f69e5, "single_open" },
	{ 0x265a669, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xf12e2209, "misc_register" },
	{ 0x608b8ab0, "led_classdev_register_ext" },
	{ 0x5c5ab922, "iio_device_alloc" },
	{ 0xdc9b3f26, "hwmon_device_register_with_info" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd24abade, "sysfs_create_group" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x339d8ffd, "input_allocate_device" },
	{ 0x4026489b, "sparse_keymap_setup" },
	{ 0x66c888d3, "input_free_device" },
	{ 0xa56bc333, "__iio_device_register" },
	{ 0x244352c2, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xfda5c331, "proc_create_data" },
	{ 0x2f3869d1, "proc_create_single_data" },
	{ 0xac7678af, "battery_hook_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xc158a262, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd369f55f, "i8042_install_filter" },
	{ 0x4a42ef4e, "input_register_device" },
	{ 0x2b419045, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xcf26202a, "noop_llseek" },
	{ 0xe764f4f, "seq_read" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0xc4c68720, "single_release" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xb74c327c, "proc_mkdir" },
	{ 0x92997ed8, "_printk" },
	{ 0x9029871a, "acpi_bus_register_driver" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "405F3D1C9DDEB252FA8DFD8");
