#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa75f16e3, "generic_write_end" },
	{ 0x2eeea279, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4915e197, "load_nls" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x439ac4bd, "make_kuid" },
	{ 0x94ee8f3f, "truncate_inode_pages_final" },
	{ 0xc9a347b1, "sync_blockdev" },
	{ 0x7b0192e2, "generic_file_mmap" },
	{ 0xeb575578, "dquot_initialize" },
	{ 0x22536fd, "dquot_operations" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9b0c0b38, "dquot_quota_on" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0x99151748, "xattr_full_name" },
	{ 0x70f440fc, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5307fa5e, "submit_bio" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfb20d468, "inode_init_once" },
	{ 0xb2164990, "file_write_and_wait_range" },
	{ 0x677d6ebd, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x52c2beba, "dquot_set_dqblk" },
	{ 0x15f4793b, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb325f6b2, "__brelse" },
	{ 0x4965066e, "posix_acl_create" },
	{ 0xf02d4b24, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xfa438fd6, "generic_file_read_iter" },
	{ 0xe52fb0a8, "unlock_page" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x80bcc0d2, "set_cached_acl" },
	{ 0xb0085ed4, "kmem_cache_create_usercopy" },
	{ 0x4a4a32f7, "truncate_pagecache" },
	{ 0x86a11335, "sync_dirty_buffer" },
	{ 0x3556e6ee, "insert_inode_locked" },
	{ 0xd5ea71f1, "wait_on_page_writeback" },
	{ 0x1e14fc08, "dquot_resume" },
	{ 0xe1b9ab44, "bdev_fput" },
	{ 0x9e16b416, "setattr_copy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xddd02dc9, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x547d9e1, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1dc8be03, "security_inode_init_security" },
	{ 0x408c0e43, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x78e05134, "folio_wait_writeback" },
	{ 0xcaf84da9, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x873ef2a4, "bio_add_page" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5e2e31d1, "d_obtain_alias" },
	{ 0x9bc903f0, "posix_acl_chmod" },
	{ 0xd92ad54f, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8917e91c, "__bread_gfp" },
	{ 0x2cff0c7f, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x30f7c439, "freezing_slow_path" },
	{ 0x2701373a, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeacc806d, "dquot_alloc_inode" },
	{ 0x11089ac7, "_ctype" },
	{ 0x61398a39, "inode_add_bytes" },
	{ 0x5681ff19, "mpage_read_folio" },
	{ 0xb74c327c, "proc_mkdir" },
	{ 0x223f1711, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x8b77d9fd, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5f0dbc3f, "make_kgid" },
	{ 0x185ac226, "end_page_writeback" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x80fac056, "truncate_setsize" },
	{ 0x1f5ed156, "dquot_get_dqblk" },
	{ 0x280b49c0, "kthread_create_on_node" },
	{ 0xb00fb9bf, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xc895bb0, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf6509b54, "__dquot_alloc_space" },
	{ 0x5aac4836, "generic_encode_ino32_fh" },
	{ 0xc0d74d77, "unlock_buffer" },
	{ 0xcd14d1b5, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xef1f7804, "generic_read_dir" },
	{ 0x5759151c, "d_instantiate_new" },
	{ 0x69585586, "page_symlink_inode_operations" },
	{ 0x4f203133, "__dquot_free_space" },
	{ 0x8a93f5e, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x25fd76f0, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe8513db8, "mpage_readahead" },
	{ 0x835abf38, "filemap_fdatawait_range" },
	{ 0x817ee46c, "init_user_ns" },
	{ 0x80d87178, "alloc_pages" },
	{ 0xf5fe6143, "inode_set_ctime_current" },
	{ 0x3666b8c2, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xe076e46e, "__folio_put" },
	{ 0xbb4bd0b, "dquot_quota_off" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xa74ff6df, "__lock_buffer" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc4f47f41, "posix_acl_update_mode" },
	{ 0x58e9d86c, "__folio_lock" },
	{ 0x3f5c842b, "filemap_dirty_folio" },
	{ 0x54f30a20, "pagecache_get_page" },
	{ 0xfd70cfe2, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xac97e192, "block_write_begin" },
	{ 0x94d6f2c1, "file_bdev" },
	{ 0x844bb4ed, "dquot_file_open" },
	{ 0xb53c5760, "generic_fh_to_parent" },
	{ 0x7cda815c, "filemap_splice_read" },
	{ 0xa2fe1250, "posix_acl_to_xattr" },
	{ 0x2f3869d1, "proc_create_single_data" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x62a2cd1, "filemap_write_and_wait_range" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x177c91cf, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x27761354, "dquot_writeback_dquots" },
	{ 0x8cb24cd8, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84d47c94, "generic_file_llseek" },
	{ 0x8d5f2d6d, "dquot_get_next_dqblk" },
	{ 0xbfa6d559, "make_bad_inode" },
	{ 0xcf947c23, "bio_alloc_bioset" },
	{ 0x5286c704, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x9aedbfd8, "NlsUniUpperRange" },
	{ 0xdf455e07, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc46a1af6, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xf7dd58d5, "iget_failed" },
	{ 0xb4c02449, "fs_bio_set" },
	{ 0xc98ea110, "kmem_cache_destroy" },
	{ 0xcd8c0a9, "blkdev_issue_discard" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x91d54f74, "truncate_inode_pages" },
	{ 0x3915658, "inode_init_owner" },
	{ 0x34435263, "filemap_fdatawrite" },
	{ 0x10364ae8, "setattr_prepare" },
	{ 0xbe75395, "iget_locked" },
	{ 0x760a0f4f, "yield" },
	{ 0xb2eca8b3, "clear_nlink" },
	{ 0xf675945f, "generic_block_bmap" },
	{ 0x726e5465, "filemap_flush" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4db1c023, "d_instantiate" },
	{ 0xe3e06a9d, "__bio_add_page" },
	{ 0x19e2b8f6, "make_vfsgid" },
	{ 0x42e68518, "clear_inode" },
	{ 0x11d3e202, "dquot_set_dqinfo" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x155a2f59, "generic_fh_to_dentry" },
	{ 0xffa5e403, "dquot_disable" },
	{ 0x300236f3, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x188423be, "dquot_free_inode" },
	{ 0x1a46ba54, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb427b358, "new_inode" },
	{ 0x612d36bf, "dquot_get_state" },
	{ 0x859dfaf7, "init_special_inode" },
	{ 0xcd679efb, "unregister_filesystem" },
	{ 0x497446ed, "mark_buffer_dirty" },
	{ 0x80ca8277, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa183580b, "__blockdev_direct_IO" },
	{ 0x12d106f8, "d_make_root" },
	{ 0xcbcc009c, "__bforget" },
	{ 0x70734994, "sb_set_blocksize" },
	{ 0xda526980, "block_truncate_page" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xfb25aeda, "sync_filesystem" },
	{ 0xb101381, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaf6a5087, "ihold" },
	{ 0x984e1849, "page_get_link" },
	{ 0x92bafa42, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c81e490, "NlsUniUpperTable" },
	{ 0x4193f303, "read_cache_page" },
	{ 0xe53c081e, "iput" },
	{ 0xf84d4e10, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0x57c442f1, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x45434baa, "remove_proc_subtree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4596c7c, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x78db2b85, "dquot_transfer" },
	{ 0x699a6e85, "register_filesystem" },
	{ 0x7e2f0577, "kmem_cache_create" },
	{ 0x7545e200, "folio_clear_dirty_for_io" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5f09906b, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x84629723, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5cec6623, "make_vfsuid" },
	{ 0xf811dd01, "wake_up_process" },
	{ 0xbd4df27d, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67b7d167, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x87ce5110, "kill_block_super" },
	{ 0x309de026, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x24b066fe, "block_invalidate_folio" },
	{ 0x668bd4fa, "dquot_quota_sync" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "nls_ucs2_utils");


MODULE_INFO(srcversion, "48F2EC177D203B541AB2EED");
