#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x68b4508c, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x610af752, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x2a169159, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x5cf188b6, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xc9b67f92, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x6d934948, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x2bad5380, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x7e15f74b, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xd2d04989, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x523e4d8e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53ddd814, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xe8fb06f3, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf7f238e5, "iptunnel_xmit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xe56377aa, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x186135bf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc172bc2, "__dynamic_netdev_dbg" },
	{ 0xdb50e0ec, "dst_cache_get_ip4" },
	{ 0xfb8486f8, "sock_create_kern" },
	{ 0xda1fa56e, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x31553482, "metadata_dst_alloc" },
	{ 0x78041b52, "dst_release" },
	{ 0x5c01460d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd0e5930b, "sock_bindtoindex" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ee70cef, "dst_cache_set_ip4" },
	{ 0x46415526, "kernel_bind" },
	{ 0xe84daca, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xec657e42, "netdev_warn" },
	{ 0x2f70d354, "udp_tunnel_nic_ops" },
	{ 0x52bd414b, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4493AA995C0ED73C34AD0A");
