#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x4d27f8ee, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x72e657df, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3e1c9277, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x6a33d8d4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xb40b76fc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x37891865, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xbe22fa2b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xa1662d43, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x503b0ef3, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xaafb6720, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x8d223122, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xcd539fce, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xef907b58, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xa7e87153, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x9bd64845, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x4f8ed508, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x21d0e566, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x43e4c996, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xa9cf671a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x3c866fd9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x2ae098e0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x93367f40, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xe87c1931, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x7f374d48, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x66625cba, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x4c7b6cac, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x22fa7e5d, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x9825e4d0, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf24c97aa, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xec0b1094, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xb31ccfee, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xb16a4428, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xe48912a3, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x8f078a07, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x13d922e3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x42e93025, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8381ba63, "vsock_deliver_tap" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a58894, "sk_error_report" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6ca5d8d, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x3da757b4, "__alloc_skb" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0x12769e0, "sk_free" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbd5476c7, "__skb_recv_datagram" },
	{ 0xb215b1fe, "lock_sock_nested" },
	{ 0x64b0f938, "vsock_stream_has_data" },
	{ 0x1adce044, "skb_copy_datagram_iter" },
	{ 0x860cdd76, "bpf_trace_run9" },
	{ 0x7a773682, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xab197d6a, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x451c4240, "bpf_trace_run10" },
	{ 0x33eef91c, "vsock_core_get_transport" },
	{ 0xb93d374e, "__zerocopy_sg_from_iter" },
	{ 0x3291b955, "vsock_stream_has_space" },
	{ 0x8e221fa1, "skb_set_owner_w" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x74fdfbf8, "msg_zerocopy_realloc" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x493fa7aa, "vsock_create_connected" },
	{ 0x29374789, "vsock_assign_transport" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaa496e60, "iov_iter_npages" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1240bf1e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2ff94f2c, "vsock_data_ready" },
	{ 0x62975d7c, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe8bcb2ee, "vsock_insert_connected" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x865ac2eb, "vsock_remove_sock" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");
