#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x74c19f82, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xb1236f2a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x96055827, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xb5ceaa8c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x74876b6c, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x2a8ac352, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x0a02c993, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xb8332aab, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xbdbbfc70, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xd2b2a0cc, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x41a83cd3, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xe1e4dd35, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xcb821a01, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x3e9e7732, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0xae80ed30, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x76c2a21e, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x99370895, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x71235df7, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x5327ec08, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xe9213f89, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x55a62c35, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xd7c36ef2, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xafcae8fa, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xc4bdd0ed, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x2c1c9faf, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x017adc7b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x2973c81b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x2b4e098e, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xfdd064f7, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x45bd601e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x2f48f81e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x8f4cbd01, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x38135ffe, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x4fc6e73b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x105a071d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xb26bc77e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x34f83c97, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x1b55ed56, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x8b07d4c2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x512da2b3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x670fe523, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x8f6a8153, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xaf9ee500, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xf8301f9d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x3fe982ce, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xcccec974, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x847ed7b2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x5ef083b5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xf5d76130, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x4d38f118, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x0d1076b8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x9811dfe6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xd71b49d6, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xfb49e6a2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x9d537afc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x37c89a5f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x34f68a23, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xb7629373, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xbe155960, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x6fa5c6ed, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x8f5aac75, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x390697b8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x9678a648, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x238a6501, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x637cb1a9, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x5cfafcb2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x5364a7ba, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xe2cbea04, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xa99b73a2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x669c3693, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x6625b8b0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xf1abb445, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x2027a988, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x5f314aa6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xe28a5447, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x0ce41fb1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x265c9cb6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x0c00d11d, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x3bc59774, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb2b129ea, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x4dfe9efd, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xdaf5dfa8, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x825de323, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x6923507b, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xe4de7b3e, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xc4835b56, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xe16ce2ae, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xa01e4fa1, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x687623c2, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xa8e8f2bc, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x3bdb376e, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x3acb5d62, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x8da33be3, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xbe24878a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x69d57344, "snd_sgbuf_get_chunk_size" },
	{ 0x8e49084b, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x57e1d78c, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d1ec858, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x92448ee, "module_put" },
	{ 0x54ca11fd, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0xd5d5c019, "bus_unregister" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x810e0416, "kobject_add" },
	{ 0xe75f51f6, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7fa0e603, "__devres_alloc_node" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd24abade, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x772c672b, "__regmap_init" },
	{ 0x35475f03, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x73990a7f, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cf28143, "sysfs_remove_group" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0x6f96220f, "component_master_del" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa09633fe, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41aa5e29, "snd_pcm_hw_params_bits" },
	{ 0x660b14c7, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe532220c, "pci_match_id" },
	{ 0x7fe9f9b6, "devres_find" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0x6ed0fcf, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6dc75ecd, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x312738c7, "pci_bus_type" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x104b46e8, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28e5a90a, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xfa2f0e2a, "regcache_sync" },
	{ 0xbda80979, "regmap_write" },
	{ 0xe613b285, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x51e5468e, "component_master_add_with_match" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0x1f25a290, "snd_pcm_add_chmap_ctls" },
	{ 0xb7661f79, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b7518cc, "pci_get_device" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x22097d10, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xabf15e63, "pm_runtime_get_if_active" },
	{ 0xae9f9be3, "kobject_init" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xf97ce492, "regcache_reg_cached" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4d1ab8da, "snd_sgbuf_get_addr" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "16A21821470FF5B0190DD20");
