#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xb15cc7b1, "");
SYMBOL_CRC(snd_ac97_read, 0x3ffbb0fd, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x043eec66, "");
SYMBOL_CRC(snd_ac97_update, 0xd946c749, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x300c517f, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0xfcf726ba, "");
SYMBOL_CRC(snd_ac97_bus, 0x97f1fade, "");
SYMBOL_CRC(snd_ac97_mixer, 0xaabd3a67, "");
SYMBOL_CRC(snd_ac97_update_power, 0x1918ef83, "");
SYMBOL_CRC(snd_ac97_suspend, 0x4384bb6f, "");
SYMBOL_CRC(snd_ac97_resume, 0x747bf113, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xadea8685, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x63c22f3d, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xf9a2c587, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xf47ddad0, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x4a7fc867, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xd5653d84, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f33687f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x113c3f70, "snd_ctl_make_virtual_master" },
	{ 0xf32c83d2, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xf23d2320, "snd_ctl_boolean_mono_info" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x489cf18d, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xef5591a7, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x151eb9ef, "snd_ctl_rename" },
	{ 0x9e7fd1d2, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52153a6a, "snd_device_new" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1464d63a, "snd_info_create_card_entry" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x128f6517, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0xa3702f50, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x703eee03, "device_unregister" },
	{ 0xdb55bfbc, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xf02ddbdd, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9daa9413, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5d1ec858, "put_device" },
	{ 0xd976ad36, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");
