#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_codec_set_name, "_gpl", "");
KSYMTAB_FUNC(__hda_codec_driver_register, "_gpl", "");
KSYMTAB_FUNC(hda_codec_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_configure, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sequence_write, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_conn_list, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_conn_index, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_num_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_dev_select, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pincfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_get_pin_target, "_gpl", "");
KSYMTAB_FUNC(snd_hda_shutup_pins, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_pcm_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup_for_unbind, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_device_new, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_update_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_setup_stream, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_codec_cleanup_stream, "_gpl", "");
KSYMTAB_FUNC(query_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_override_amp_caps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_update, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_amp_init_stereo, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_volume_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_vmaster_tlv, "_gpl", "");
KSYMTAB_FUNC(snd_hda_find_mixer_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ctl_add, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_lock_devices, "_gpl", "");
KSYMTAB_FUNC(snd_hda_unlock_devices, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_add_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_sync_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_dig_out_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_out_of_nid, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_unassign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_spdif_ctls_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_share_sw, "_gpl", "");
KSYMTAB_FUNC(snd_hda_create_spdif_in_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_to_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_eapd_power_filter, "_gpl", "");
KSYMTAB_DATA(snd_pcm_2_1_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_parse_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_set_power_save, "_gpl", "");
KSYMTAB_FUNC(snd_hda_check_amp_list_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_input_mux_put, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enum_helper_info, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_dig_close, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_open, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_multi_out_analog_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_default_vref, "_gpl", "");
KSYMTAB_FUNC(snd_hda_correct_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(_snd_hda_set_pin_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_imux_item, "_gpl", "");
KSYMTAB_FUNC(snd_print_pcm_bits, "_gpl", "");
KSYMTAB_FUNC(is_jack_detectable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_tbl_get_from_tag, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_dirty_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_pin_sense, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_state_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable_callback_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_detect_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_gating_jack, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_bind_keymap, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_set_button_state, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_report_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctl_mst, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_add_kctls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_unsol_event, "_gpl", "");
KSYMTAB_FUNC(snd_hda_jack_poll_all, "_gpl", "");
KSYMTAB_FUNC(snd_hda_parse_pin_defcfg, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_input_pin_attr, "_gpl", "");
KSYMTAB_FUNC(hda_get_autocfg_input_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_pin_label, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_verbs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_pincfgs, "_gpl", "");
KSYMTAB_FUNC(__snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_apply_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_pin_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_pick_fixup, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_bool_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_int_hint, "_gpl", "");
KSYMTAB_FUNC(snd_hda_load_patch, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_lpib, "_gpl", "");
KSYMTAB_FUNC(azx_get_pos_posbuf, "_gpl", "");
KSYMTAB_FUNC(azx_get_position, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hda_codec_load_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(azx_init_chip, "_gpl", "");
KSYMTAB_FUNC(azx_stop_all_streams, "_gpl", "");
KSYMTAB_FUNC(azx_stop_chip, "_gpl", "");
KSYMTAB_FUNC(azx_interrupt, "_gpl", "");
KSYMTAB_FUNC(azx_bus_init, "_gpl", "");
KSYMTAB_FUNC(azx_probe_codecs, "_gpl", "");
KSYMTAB_FUNC(azx_codec_configure, "_gpl", "");
KSYMTAB_FUNC(azx_init_streams, "_gpl", "");
KSYMTAB_FUNC(azx_free_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hda_enable_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_attach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_detach_beep_device, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_get_beep, "_gpl", "");
KSYMTAB_FUNC(snd_hda_mixer_amp_switch_put_beep, "_gpl", "");

SYMBOL_CRC(snd_hda_codec_set_name, 0x7fa5fc42, "_gpl");
SYMBOL_CRC(__hda_codec_driver_register, 0x91dafef0, "_gpl");
SYMBOL_CRC(hda_codec_driver_unregister, 0x1b37ffac, "_gpl");
SYMBOL_CRC(snd_hda_codec_configure, 0xaddf7457, "_gpl");
SYMBOL_CRC(snd_hda_sequence_write, 0xf625d480, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_list, 0x7772b991, "_gpl");
SYMBOL_CRC(snd_hda_get_connections, 0x002a222b, "_gpl");
SYMBOL_CRC(snd_hda_override_conn_list, 0xad4f7b29, "_gpl");
SYMBOL_CRC(snd_hda_get_conn_index, 0xafd10e59, "_gpl");
SYMBOL_CRC(snd_hda_get_num_devices, 0xb969e213, "_gpl");
SYMBOL_CRC(snd_hda_get_dev_select, 0x450503c1, "_gpl");
SYMBOL_CRC(snd_hda_set_dev_select, 0x2ef70d97, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pincfg, 0x04718d48, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pincfg, 0xcca04548, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_pin_target, 0xdedfd296, "_gpl");
SYMBOL_CRC(snd_hda_codec_get_pin_target, 0xebbe6416, "_gpl");
SYMBOL_CRC(snd_hda_shutup_pins, 0xaac5f92a, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_put, 0x5123e247, "_gpl");
SYMBOL_CRC(snd_hda_codec_pcm_new, 0x500a0307, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup_for_unbind, 0x289244ac, "_gpl");
SYMBOL_CRC(snd_hda_codec_register, 0x368ca884, "_gpl");
SYMBOL_CRC(snd_hda_codec_unregister, 0xfb2bc0dd, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_init, 0x683e5e81, "_gpl");
SYMBOL_CRC(snd_hda_codec_new, 0x534969bc, "_gpl");
SYMBOL_CRC(snd_hda_codec_device_new, 0xed9a741f, "_gpl");
SYMBOL_CRC(snd_hda_codec_update_widgets, 0x8a6433a6, "_gpl");
SYMBOL_CRC(snd_hda_codec_setup_stream, 0x9666933e, "_gpl");
SYMBOL_CRC(__snd_hda_codec_cleanup_stream, 0xe61ffaaa, "_gpl");
SYMBOL_CRC(query_amp_caps, 0x1bc1ecf9, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_caps, 0x525c855a, "_gpl");
SYMBOL_CRC(snd_hda_override_amp_caps, 0xacf34f92, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_update, 0x770adaad, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_stereo, 0x3c5195bc, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init, 0xa22a5840, "_gpl");
SYMBOL_CRC(snd_hda_codec_amp_init_stereo, 0x6f5728e8, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_info, 0xc2d8e17d, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_get, 0xebeab52a, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_volume_put, 0x4c46ccbd, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_tlv, 0x3fecb752, "_gpl");
SYMBOL_CRC(snd_hda_set_vmaster_tlv, 0xed3d750a, "_gpl");
SYMBOL_CRC(snd_hda_find_mixer_ctl, 0x00035f34, "_gpl");
SYMBOL_CRC(snd_hda_ctl_add, 0x7e411ebc, "_gpl");
SYMBOL_CRC(snd_hda_add_nid, 0xa1c30abf, "_gpl");
SYMBOL_CRC(snd_hda_lock_devices, 0x4f9249f0, "_gpl");
SYMBOL_CRC(snd_hda_unlock_devices, 0xcb7efcfb, "_gpl");
SYMBOL_CRC(__snd_hda_add_vmaster, 0x238d8761, "_gpl");
SYMBOL_CRC(snd_hda_add_vmaster_hook, 0x8b714d41, "_gpl");
SYMBOL_CRC(snd_hda_sync_vmaster_hook, 0x2327e2f3, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_info, 0x8b99d7fe, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get, 0xa2ab83a9, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put, 0x0507fa3e, "_gpl");
SYMBOL_CRC(snd_hda_create_dig_out_ctls, 0x1342b574, "_gpl");
SYMBOL_CRC(snd_hda_spdif_out_of_nid, 0xb316a089, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_unassign, 0x57c5ba42, "_gpl");
SYMBOL_CRC(snd_hda_spdif_ctls_assign, 0x4700aad8, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_share_sw, 0x0ed735f8, "_gpl");
SYMBOL_CRC(snd_hda_create_spdif_in_ctls, 0xa1063240, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_to_all, 0x694e364e, "_gpl");
SYMBOL_CRC(snd_hda_codec_eapd_power_filter, 0xe86c740d, "_gpl");
SYMBOL_CRC(snd_pcm_2_1_chmaps, 0xe118de5d, "_gpl");
SYMBOL_CRC(snd_hda_codec_build_controls, 0x6ca55c33, "_gpl");
SYMBOL_CRC(snd_hda_codec_prepare, 0x33b330ff, "_gpl");
SYMBOL_CRC(snd_hda_codec_cleanup, 0x86abde39, "_gpl");
SYMBOL_CRC(snd_hda_codec_parse_pcms, 0xe5597628, "_gpl");
SYMBOL_CRC(snd_hda_add_new_ctls, 0xbdc9294c, "_gpl");
SYMBOL_CRC(snd_hda_codec_set_power_save, 0xba75774f, "_gpl");
SYMBOL_CRC(snd_hda_set_power_save, 0x4dde2c3b, "_gpl");
SYMBOL_CRC(snd_hda_check_amp_list_power, 0x56e3bc60, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_info, 0xf8dc35ac, "_gpl");
SYMBOL_CRC(snd_hda_input_mux_put, 0x381a0673, "_gpl");
SYMBOL_CRC(snd_hda_enum_helper_info, 0x0f321f89, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_open, 0xd8a20c50, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_prepare, 0xef382cbb, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_cleanup, 0x4c7574d1, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_dig_close, 0x7ddf26c3, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_open, 0xf81b3e54, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_prepare, 0x25efaa5a, "_gpl");
SYMBOL_CRC(snd_hda_multi_out_analog_cleanup, 0x89ef5b26, "_gpl");
SYMBOL_CRC(snd_hda_get_default_vref, 0x13c684f6, "_gpl");
SYMBOL_CRC(snd_hda_correct_pin_ctl, 0x3f07f38d, "_gpl");
SYMBOL_CRC(_snd_hda_set_pin_ctl, 0xd2c9a2e6, "_gpl");
SYMBOL_CRC(snd_hda_add_imux_item, 0xf12f4c9c, "_gpl");
SYMBOL_CRC(snd_print_pcm_bits, 0xeda3a721, "_gpl");
SYMBOL_CRC(is_jack_detectable, 0x1b2d9742, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_mst, 0x3aa71a4b, "_gpl");
SYMBOL_CRC(snd_hda_jack_tbl_get_from_tag, 0x14f1a173, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_dirty_all, 0xfe622d26, "_gpl");
SYMBOL_CRC(snd_hda_jack_pin_sense, 0x389049f5, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_state_mst, 0xc20ca5cd, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable_callback_mst, 0xf1ec5b18, "_gpl");
SYMBOL_CRC(snd_hda_jack_detect_enable, 0xed201d9b, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_gating_jack, 0x76af8844, "_gpl");
SYMBOL_CRC(snd_hda_jack_bind_keymap, 0x197783f9, "_gpl");
SYMBOL_CRC(snd_hda_jack_set_button_state, 0x0e44c599, "_gpl");
SYMBOL_CRC(snd_hda_jack_report_sync, 0x9593f1d4, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctl_mst, 0xf9df6b89, "_gpl");
SYMBOL_CRC(snd_hda_jack_add_kctls, 0x27bf7906, "_gpl");
SYMBOL_CRC(snd_hda_jack_unsol_event, 0xe71018b8, "_gpl");
SYMBOL_CRC(snd_hda_jack_poll_all, 0x54c768ad, "_gpl");
SYMBOL_CRC(snd_hda_parse_pin_defcfg, 0x6596576a, "_gpl");
SYMBOL_CRC(snd_hda_get_input_pin_attr, 0x0676f5ac, "_gpl");
SYMBOL_CRC(hda_get_autocfg_input_label, 0x7576a45d, "_gpl");
SYMBOL_CRC(snd_hda_get_pin_label, 0x3bd6787d, "_gpl");
SYMBOL_CRC(snd_hda_add_verbs, 0x35e3e41d, "_gpl");
SYMBOL_CRC(snd_hda_apply_verbs, 0x955f0c89, "_gpl");
SYMBOL_CRC(snd_hda_apply_pincfgs, 0x883a3bb9, "_gpl");
SYMBOL_CRC(__snd_hda_apply_fixup, 0x652a6f2e, "_gpl");
SYMBOL_CRC(snd_hda_apply_fixup, 0xfdbc65e3, "_gpl");
SYMBOL_CRC(snd_hda_pick_pin_fixup, 0xee414cb1, "_gpl");
SYMBOL_CRC(snd_hda_pick_fixup, 0xbf8d3341, "_gpl");
SYMBOL_CRC(snd_hda_get_hint, 0x7a93de02, "_gpl");
SYMBOL_CRC(snd_hda_get_bool_hint, 0x935427e7, "_gpl");
SYMBOL_CRC(snd_hda_get_int_hint, 0xd1654c15, "_gpl");
SYMBOL_CRC(snd_hda_load_patch, 0x6047b271, "_gpl");
SYMBOL_CRC(azx_get_pos_lpib, 0xef1fb04b, "_gpl");
SYMBOL_CRC(azx_get_pos_posbuf, 0xb9c1798e, "_gpl");
SYMBOL_CRC(azx_get_position, 0x64e3be74, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_prepare, 0xc3571b70, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_trigger, 0x6287ccf5, "_gpl");
SYMBOL_CRC(snd_hda_codec_load_dsp_cleanup, 0x83769370, "_gpl");
SYMBOL_CRC(azx_init_chip, 0x2f4488af, "_gpl");
SYMBOL_CRC(azx_stop_all_streams, 0xd65b145d, "_gpl");
SYMBOL_CRC(azx_stop_chip, 0x58b89d4a, "_gpl");
SYMBOL_CRC(azx_interrupt, 0x38ce402b, "_gpl");
SYMBOL_CRC(azx_bus_init, 0xfc5c4e04, "_gpl");
SYMBOL_CRC(azx_probe_codecs, 0x739d3be6, "_gpl");
SYMBOL_CRC(azx_codec_configure, 0x7fb98c47, "_gpl");
SYMBOL_CRC(azx_init_streams, 0x3c8fc759, "_gpl");
SYMBOL_CRC(azx_free_streams, 0x2850cc01, "_gpl");
SYMBOL_CRC(snd_hda_enable_beep_device, 0xd377b65d, "_gpl");
SYMBOL_CRC(snd_hda_attach_beep_device, 0x5f6ff7e4, "_gpl");
SYMBOL_CRC(snd_hda_detach_beep_device, 0x3ee976cb, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_get_beep, 0xf9aa72d9, "_gpl");
SYMBOL_CRC(snd_hda_mixer_amp_switch_put_beep, 0xbd9fe8e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x74876b6c, "snd_hdac_bus_exec_verb_unlocked" },
	{ 0x99370895, "snd_hdac_override_parm" },
	{ 0x1f33687f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xd2b2a0cc, "snd_hdac_device_register" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb26bc77e, "snd_hdac_regmap_update_raw" },
	{ 0x113c3f70, "snd_ctl_make_virtual_master" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x5ef083b5, "snd_hdac_bus_init_chip" },
	{ 0xc6cbbc89, "capable" },
	{ 0x34f68a23, "snd_hdac_stream_stop" },
	{ 0x92448ee, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x390697b8, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x96055827, "snd_hdac_bus_init" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf23d2320, "snd_ctl_boolean_mono_info" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x76c2a21e, "snd_hdac_read_parm_uncached" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0x4b4d8bfb, "snd_ctl_rename_id" },
	{ 0x9d537afc, "snd_hdac_stream_init" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x41a83cd3, "snd_hdac_device_unregister" },
	{ 0xb8332aab, "snd_hdac_device_init" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x9678a648, "snd_hdac_stream_assign" },
	{ 0xa8d731fd, "snd_jack_new" },
	{ 0x3c94da95, "snd_hwdep_new" },
	{ 0x3e9e7732, "snd_hdac_read" },
	{ 0x5364a7ba, "snd_hdac_stream_setup_periods" },
	{ 0x38d99ecd, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc4bdd0ed, "snd_hdac_power_down_pm" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1e4dd35, "snd_hdac_device_set_chip_name" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0xb683e27e, "driver_unregister" },
	{ 0xa02c993, "snd_hdac_codec_link_down" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde0f23ab, "snd_pcm_set_ops" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x512da2b3, "snd_hdac_bus_stop_cmd_io" },
	{ 0x6625b8b0, "snd_hdac_stream_sync" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdeb24c64, "_snd_ctl_add_follower" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x4fc6e73b, "snd_hdac_regmap_write_raw" },
	{ 0x52153a6a, "snd_device_new" },
	{ 0x9ff997c, "snd_pcm_set_managed_buffer_all" },
	{ 0x2ee671cc, "convert_art_to_tsc" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0xe16ce2ae, "snd_hdac_display_power" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f4cbd01, "snd_hdac_regmap_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfdd064f7, "snd_hdac_check_power_state" },
	{ 0x1022664a, "snd_jack_set_key" },
	{ 0xe302acb9, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1236f2a, "snd_hda_bus_type" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbdf22d65, "snd_pcm_hw_constraint_integer" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6bcdf5e8, "pm_runtime_forbid" },
	{ 0xbdbbfc70, "snd_hdac_device_exit" },
	{ 0xb2d243fb, "pm_runtime_allow" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8f5aac75, "snd_hdac_stream_setup" },
	{ 0xe2cbea04, "snd_hdac_stream_set_params" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71235df7, "snd_hdac_get_sub_nodes" },
	{ 0xeb4e3675, "snd_device_disconnect" },
	{ 0x4d38f118, "snd_hdac_bus_handle_stream_irq" },
	{ 0xfd1600d, "pm_runtime_force_resume" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5657bac6, "snd_pci_quirk_lookup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34f83c97, "snd_hdac_regmap_update_raw_once" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xbfc95c33, "snd_hdac_spdif_stream_format" },
	{ 0x669c3693, "snd_hdac_stream_sync_trigger" },
	{ 0xd790401, "snd_device_free" },
	{ 0x6fa5c6ed, "snd_hdac_stream_reset" },
	{ 0xdd7cc588, "snd_pcm_period_elapsed" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xaa00c60e, "snd_pcm_hw_constraint_step" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x30921c4e, "device_release_driver" },
	{ 0xb2b129ea, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0x2973c81b, "snd_hdac_codec_read" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xcbe8c6e7, "__pm_runtime_disable" },
	{ 0x4dfe9efd, "snd_hdac_dsp_cleanup" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9c54499f, "pm_runtime_force_suspend" },
	{ 0x7c046752, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xb7629373, "snd_hdac_stop_streams" },
	{ 0x2a8ac352, "snd_hdac_codec_link_up" },
	{ 0xf9a482f9, "msleep" },
	{ 0x37c89a5f, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1b55ed56, "snd_hdac_regmap_sync" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x55a62c35, "snd_hdac_power_up" },
	{ 0x339d8ffd, "input_allocate_device" },
	{ 0x637cb1a9, "snd_hdac_stream_release" },
	{ 0xe9213f89, "snd_hdac_get_connections" },
	{ 0xafcae8fa, "snd_hdac_power_up_pm" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x989d3a9b, "bpf_trace_run4" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x670fe523, "snd_hdac_bus_send_cmd" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x45bd601e, "snd_hdac_sync_power_state" },
	{ 0x5529bf9d, "snd_ctl_apply_vmaster_followers" },
	{ 0xa3702f50, "snd_ctl_add" },
	{ 0x17adc7b, "snd_hdac_is_supported_format" },
	{ 0x105a071d, "snd_hdac_regmap_read_raw" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0xaf9ee500, "snd_hdac_bus_get_response" },
	{ 0x10dcc245, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6b4bd6b, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0x8f6a8153, "snd_hdac_bus_update_rirb" },
	{ 0xd7c36ef2, "snd_hdac_power_down" },
	{ 0x1f25a290, "snd_pcm_add_chmap_ctls" },
	{ 0x7c8f6249, "snd_card_register" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2b4e098e, "snd_hdac_codec_write" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2f48f81e, "snd_hdac_regmap_init" },
	{ 0x54226bb7, "snd_pcm_hw_constraint_minmax" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0xcb821a01, "snd_hdac_codec_modalias" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xf5d76130, "snd_hdac_bus_stop_chip" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x2db9a7bf, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x2c1c9faf, "snd_hdac_query_supported_pcm" },
	{ 0x7b1cf898, "snd_card_rw_proc_new" },
	{ 0x90d0fd63, "snd_ctl_add_vmaster_hook" },
	{ 0xb5b64305, "regcache_mark_dirty" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5327ec08, "snd_hdac_refresh_widgets" },
	{ 0x500a3638, "snd_ctl_sync_vmaster" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x48dbd210, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf02ddbdd, "snd_ctl_find_id" },
	{ 0x6c759b66, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa99b73a2, "snd_hdac_stream_timecounter_init" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66c888d3, "input_free_device" },
	{ 0x73076315, "snd_pci_quirk_lookup_id" },
	{ 0x9daa9413, "snd_ctl_new1" },
	{ 0x3bc59774, "snd_hdac_dsp_prepare" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x659631b8, "device_reprobe" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xae80ed30, "_snd_hdac_read_parm" },
	{ 0x4a42ef4e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5d1ec858, "put_device" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-hda-core,snd,snd-hwdep");


MODULE_INFO(srcversion, "5E2C3F3A9D5F547B953230F");
