#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x917ffaff, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0xda3b0634, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x7aa5cb2a, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x88c29890, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x3e21debc, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xf54bea72, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xc0729af7, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xd01b4b91, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x0deafcea, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x2da5c9d6, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x81913e4f, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0xa107dcbf, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x111e5fab, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x4c4c0971, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xefd6b104, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xe61a30c4, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x9676cbd5, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x2023cd0a, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xef4df979, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0x51b823e, "cs_amp_get_efi_calibration_data" },
	{ 0x3211e286, "regmap_raw_read" },
	{ 0xb5b64305, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc2fd1802, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x450ece8e, "regmap_multi_reg_write_bypassed" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x1a97aa83, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a4be07b, "regmap_read_bypassed" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe4f67899, "_dev_crit" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0x71cb587f, "regmap_multi_reg_write" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0x84cae3df, "regmap_register_patch" },
	{ 0xdf47284f, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf2af1a02, "gpiod_get_value_cansleep" },
	{ 0x26a514a6, "regcache_cache_only" },
	{ 0xfa2f0e2a, "regcache_sync" },
	{ 0xbda80979, "regmap_write" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "6AE7866CFA6F5D3722905F8");
