#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdb2c827, "device_property_read_u32_array" },
	{ 0xc0ce815c, "snd_soc_get_enum_double" },
	{ 0xb76f846e, "fwnode_property_read_u32_array" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xcce9af55, "i2c_register_driver" },
	{ 0x6b5d68a3, "snd_soc_info_volsw" },
	{ 0xc2d6e1c0, "clkdev_hw_create" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc21a8764, "snd_soc_get_volsw_range" },
	{ 0xfe1ec7de, "snd_soc_dapm_put_volsw" },
	{ 0x71f1eb4b, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8261888, "snd_soc_dapm_force_bias_level" },
	{ 0xc2c2d5f2, "device_property_read_string_array" },
	{ 0x24568b79, "snd_soc_info_volsw_range" },
	{ 0x2ae2a0d6, "regulator_bulk_get" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x384892e1, "regmap_reinit_cache" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x8a116cab, "snd_soc_put_volsw_range" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9dc3b9ba, "snd_soc_info_enum_double" },
	{ 0xe0146252, "regulator_bulk_enable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x628928a7, "snd_soc_get_volsw" },
	{ 0xf1e748f4, "fwnode_property_read_string" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0x4724cf25, "snd_soc_put_volsw" },
	{ 0xb4bb2c73, "regmap_bulk_write" },
	{ 0xad733d03, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc590e3ef, "device_get_named_child_node" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8988b056, "regmap_bulk_read" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe06fbf34, "regcache_cache_bypass" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0x8823f9f, "snd_soc_dapm_get_volsw" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x3c4aaa77, "i2c_del_driver" },
	{ 0x84cae3df, "regmap_register_patch" },
	{ 0xf78316e0, "fwnode_handle_put" },
	{ 0x4c537f1, "snd_soc_dapm_get_enum_double" },
	{ 0x485b0a30, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfe5aa4da, "snd_soc_dapm_put_enum_double" },
	{ 0x7df3e28f, "clk_hw_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x53e64496, "device_property_present" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbda80979, "regmap_write" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xdfb6829c, "clk_hw_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf71b759e, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc4d0e573, "regulator_bulk_free" },
	{ 0x5ac409d0, "clkdev_drop" },
	{ 0x3211e286, "regmap_raw_read" },
	{ 0x55d5f52f, "snd_soc_component_read" },
	{ 0xcaa88ad4, "regcache_sync_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x284a9a9, "snd_soc_dapm_disable_pin" },
	{ 0x80176cbc, "snd_soc_dapm_force_enable_pin" },
	{ 0x88c56a93, "snd_soc_put_enum_double" },
	{ 0xb5b64305, "regcache_mark_dirty" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x62276a9f, "clk_get" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ab52648, "snd_soc_component_write" },
	{ 0xcd289b5c, "snd_soc_dapm_sync" },
	{ 0xcd8f05c2, "regulator_get_voltage" },
	{ 0xccbd10d3, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6f78ae02, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb0cdfdde, "regulator_bulk_disable" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("i2c:da7219");
MODULE_ALIAS("acpi*:DLGS7219:*");

MODULE_INFO(srcversion, "CC4768EC48F382794966C9B");
