#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x550f3b23, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xa9ca0bf1, "_gpl");
SYMBOL_CRC(af_alg_release, 0x5c6a10dc, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x0aa94fbc, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x14f3b589, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0xebb7e174, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x630d01c6, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xd5dc6dc6, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xf04a76bd, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xad825dc5, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xfbd1c78c, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x9a95c470, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x9f864d85, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x8144c046, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xe85b0bd9, "sk_alloc" },
	{ 0x2800c944, "sock_init_data" },
	{ 0x234360c2, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8152ca7b, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4b74fd01, "extract_iter_to_sg" },
	{ 0xd137a7cc, "proto_register" },
	{ 0xd9680423, "sock_register" },
	{ 0xcc0afa6, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0xb215b1fe, "lock_sock_nested" },
	{ 0x1240bf1e, "release_sock" },
	{ 0x92448ee, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x12769e0, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c190fc3, "sock_wake_async" },
	{ 0xe5bb1e84, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe076e46e, "__folio_put" },
	{ 0x3029de32, "__put_devmap_managed_page_refs" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0x80d87178, "alloc_pages" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xc730be33, "key_put" },
	{ 0x35a1cc14, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea7a135f, "sock_no_connect" },
	{ 0xef307b58, "sock_no_socketpair" },
	{ 0xea655dc, "sock_no_getname" },
	{ 0xdfa7d614, "sock_no_ioctl" },
	{ 0x4eba4187, "sock_no_listen" },
	{ 0x3f7e319b, "sock_no_shutdown" },
	{ 0xa7e074fa, "sock_no_sendmsg" },
	{ 0xd1593082, "sock_no_recvmsg" },
	{ 0xb6ec3280, "sock_no_mmap" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D404E0C016876DA500FD972");
