#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{  0x858e5, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x24e563df, "crypto_shash_export" },
	{ 0xaf2b8221, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x813d5d7e, "crypto_alloc_skcipher" },
	{ 0x1e8de8b9, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9550275c, "crypto_register_aead" },
	{ 0x21573d39, "cxgb4_port_e2cchan" },
	{ 0xa2f554df, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x49f16c29, "crypto_alloc_aead" },
	{ 0x3da8a090, "crypto_aead_setauthsize" },
	{ 0x1cc2059a, "crypto_aead_decrypt" },
	{ 0x340fd0d2, "crypto_skcipher_setkey" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcf0f93ae, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0xfd693dbd, "crypto_unregister_ahash" },
	{ 0xd636e93b, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6817e293, "crypto_skcipher_decrypt" },
	{ 0x3da757b4, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82444cc2, "crypto_aead_setkey" },
	{ 0x38af3d21, "crypto_register_skcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7df3e8b6, "crypto_aead_encrypt" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb4602f, "cxgb4_crypto_send" },
	{ 0x26a9acc9, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x824d4c20, "crypto_shash_digest" },
	{ 0x36a54f2a, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc4587e66, "crypto_shash_update" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,gf128mul,authenc");


MODULE_INFO(srcversion, "C9EE9C2B287E0FA4D6BF3CF");
