#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0xdd338913, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x5e36d6b7, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x56cc3b6c, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x12087428, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x5881c4a2, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x716ddf2b, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x1f79deec, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xbc0373b3, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xbedc85f1, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x1d5447a4, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x6043d08f, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xd13d1aa4, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x451b2e6b, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xf609fdd8, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xcab292e8, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x7da99171, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x258f01cc, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x2fcf1479, "_gpl");
SYMBOL_CRC(adf_dev_up, 0xf272a58d, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0xbf37dbba, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xa28c8c49, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x47754744, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x86f26984, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x3d77c3ac, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xc113559a, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x6b3b9928, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xe258086b, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xd9bcf99b, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x0985f54c, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xfc0198e0, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xd662daa1, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x5fdd7292, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x7cc2f904, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x86571959, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xa47cb975, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x5f14af12, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x0ecf335b, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0xa0951453, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xcbfea146, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x8c04e8bc, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0xa1018fb6, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x674c09bc, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0xcef60e43, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x724bc332, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xa48df36a, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x527b4539, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xd7309b5e, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x7c8557de, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x4212c28b, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x70183a5a, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0xd7a657b8, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x214779e6, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x0c040872, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x286efc36, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xf56eb784, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x71b3c3a8, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x22f7ec34, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0x995e71c2, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x4ca9e3f2, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x828283e2, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x8366fb0c, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x2d83f115, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0xa3ec92c9, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x7ba9dbe2, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xe7914f79, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x03aa6584, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xb960099d, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xf410bcb9, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x2cbbe285, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x03631602, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x271dfa2b, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x6fd7f20e, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xfb4600c7, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x2cba48bd, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x122f3485, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x8e775f2f, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xb746681a, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x41c4ac50, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xc1bd5a08, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x97b9261e, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xac66d20e, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xd1dca3c8, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x00f7ce2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x17c12fba, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb80dc2eb, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe764f4f, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c597b3f, "_dev_notice" },
	{ 0x7361869c, "crypto_cipher_encrypt_one" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x395b3662, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4e4c23b3, "crypto_register_kpp" },
	{ 0x55599b2c, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c0798d, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xc4c68720, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x5f068a70, "device_add_groups" },
	{ 0x610f676e, "seq_open" },
	{ 0xf943b818, "crypto_unregister_skciphers" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x1b921fb0, "crypto_register_akcipher" },
	{ 0x128f69e5, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{  0x858e5, "crypto_alloc_shash" },
	{ 0x7540b88f, "debugfs_create_dir" },
	{ 0x7ac58b07, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xd8804d59, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x126cb4cb, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x750dbf99, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x89a074ad, "cdev_del" },
	{ 0x24e563df, "crypto_shash_export" },
	{ 0x813d5d7e, "crypto_alloc_skcipher" },
	{ 0x1e8de8b9, "crypto_skcipher_encrypt" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x66eab7b6, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xe571749, "pci_alloc_irq_vectors" },
	{ 0x10f162a4, "crypto_unregister_kpp" },
	{ 0xe64c6427, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0x6245eaf6, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3713a499, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x134b90e3, "crypto_register_aeads" },
	{ 0x52d54ed2, "pci_sriov_get_totalvfs" },
	{ 0x4e6f6818, "seq_hex_dump" },
	{ 0xbf54a4b2, "device_remove_groups" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x1c39aaa6, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x9b2576d2, "pci_irq_vector" },
	{ 0x340fd0d2, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x794ba1b5, "crypto_cipher_setkey" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0xf238cf1d, "crypto_unregister_aeads" },
	{ 0xd636e93b, "crypto_destroy_tfm" },
	{ 0x9acaff0e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6817e293, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x16a21421, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x92448ee, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x677d6ebd, "compat_ptr_ioctl" },
	{ 0x95f34cbb, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa8744395, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x50eac1a4, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x54d2d740, "devm_kfree" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x9b9bfc80, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x71b3a92d, "crypto_unregister_akcipher" },
	{ 0x165f6de2, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x9efa407e, "class_create" },
	{ 0x824a0540, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x7559d05e, "dma_alloc_attrs" },
	{ 0xe11595d5, "debugfs_remove" },
	{ 0x11283b38, "pcie_flr" },
	{ 0x489cf18d, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x7bfc1887, "seq_putc" },
	{ 0x824d4c20, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc4587e66, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "858140262F73355706E02B8");
