#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xf47dabf0, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xacf203d8, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xcb803599, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fd7030f, "drm_mode_probed_add" },
	{ 0xdbf6386c, "drm_set_preferred_mode" },
	{ 0x2f61e9ce, "pwm_put" },
	{ 0x147f78fd, "regulator_disable" },
	{ 0x6c1a21c6, "pwm_apply_might_sleep" },
	{ 0xe43351e0, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x37a0cba, "kfree" },
	{ 0x8621fe7e, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x27e7e5dd, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x86f4bf17, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xb4bb2c73, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x29948e76, "drm_atomic_helper_check_plane_state" },
	{ 0xf67e25c1, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x2ccc931b, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x2d4090c3, "drm_dev_unplug" },
	{ 0x4425fc01, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x1f63a196, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xddf6ffe9, "drm_gem_fb_begin_cpu_access" },
	{ 0x6baf04d0, "drm_fb_xrgb8888_to_rgb332" },
	{ 0xecf3cd20, "drm_gem_fb_end_cpu_access" },
	{ 0x9cabede6, "drm_fb_xrgb8888_to_gray8" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2b75404, "drm_fb_xrgb8888_to_mono" },
	{ 0xfde36af9, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59d11255, "regulator_enable" },
	{ 0xb782c378, "pwm_get" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xb946c6af, "__drm_atomic_helper_crtc_reset" },
	{ 0x211d1629, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x369867f2, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf548c7ee, "drm_gem_shmem_dumb_create" },
	{ 0xcf26202a, "noop_llseek" },
	{ 0x3a593737, "drm_read" },
	{ 0x56fd82f, "drm_poll" },
	{ 0xa90e2916, "drm_ioctl" },
	{ 0x3b2f1f1f, "drm_compat_ioctl" },
	{ 0xcafea634, "drm_gem_mmap" },
	{ 0x3e6c6adf, "drm_open" },
	{ 0xb30cba48, "drm_release" },
	{ 0xe9ec8281, "drm_gem_fb_create_with_dirty" },
	{ 0xc62e0964, "drm_atomic_helper_check" },
	{ 0x493a6b0e, "drm_atomic_helper_commit" },
	{ 0x65498286, "drm_atomic_helper_connector_reset" },
	{ 0xba64f5ae, "drm_helper_probe_single_connector_modes" },
	{ 0xd1851fd5, "drm_connector_cleanup" },
	{ 0x7fa22b45, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9e12cd00, "drm_atomic_helper_connector_destroy_state" },
	{ 0x92b2dc0b, "drm_encoder_cleanup" },
	{ 0x400948b2, "drm_crtc_cleanup" },
	{ 0xc6022289, "drm_atomic_helper_set_config" },
	{ 0xd57f3617, "drm_atomic_helper_page_flip" },
	{ 0x7150dc63, "drm_atomic_helper_update_plane" },
	{ 0x5f9b8b6a, "drm_atomic_helper_disable_plane" },
	{ 0x4858a191, "drm_plane_cleanup" },
	{ 0x5ea20ec1, "drm_gem_begin_shadow_fb_access" },
	{ 0xe62701eb, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbda80979, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8e23a8, "__devm_drm_dev_alloc" },
	{ 0xe84ea8ae, "device_get_match_data" },
	{ 0xcdb2c827, "device_property_read_u32_array" },
	{ 0x8669dc06, "device_property_read_u8_array" },
	{ 0x53e64496, "device_property_present" },
	{ 0xdefa8d79, "devm_gpiod_get_optional" },
	{ 0x6982a3d1, "devm_regulator_get" },
	{ 0xfba15c1f, "devm_backlight_device_register" },
	{ 0xb09d4438, "drmm_mode_config_init" },
	{ 0x14c04f3f, "drm_universal_plane_init" },
	{ 0xf8ab9938, "drm_plane_enable_fb_damage_clips" },
	{ 0xb43f8730, "drm_crtc_init_with_planes" },
	{ 0xfce4d3ae, "drm_encoder_init" },
	{ 0xba27b4f4, "drm_connector_init" },
	{ 0x5db174d, "drm_connector_attach_encoder" },
	{ 0x6b0ba915, "drm_mode_config_reset" },
	{ 0x790ffec, "drm_dev_register" },
	{ 0xa896f99a, "drm_fbdev_generic_setup" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xcae6d710, "drm_mode_duplicate" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C9A6190D5750FC100356986");
