#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa77dee92, "dma_buf_put" },
	{ 0x4b08f76f, "ttm_bo_kmap" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37164c7d, "dma_buf_fd" },
	{ 0xf3f6f6a3, "drm_gem_handle_create" },
	{ 0x29948e76, "drm_atomic_helper_check_plane_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb43f8730, "drm_crtc_init_with_planes" },
	{ 0xcae6d710, "drm_mode_duplicate" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb566bd39, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5bc5b0bc, "drm_helper_mode_fill_fb_struct" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe98ab17, "__drm_atomic_helper_plane_reset" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xbedb79e4, "__drm_dev_dbg" },
	{ 0xf33c10eb, "drm_prime_pages_to_sg" },
	{ 0x425dea7e, "drm_send_event_locked" },
	{ 0x1ab1b99c, "drm_plane_get_damage_clips_count" },
	{ 0x3bd363e3, "drm_dev_unregister" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x73b6480f, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xa8e23a8, "__devm_drm_dev_alloc" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x234360c2, "unpin_user_page" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6022289, "drm_atomic_helper_set_config" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x990c0a25, "ttm_bo_unpin" },
	{ 0xa896f99a, "drm_fbdev_generic_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27e7e5dd, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xa5a8d66c, "ttm_bo_init_reserved" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9121298d, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x668b19a1, "down_read" },
	{ 0xd1851fd5, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c477992, "dma_set_coherent_mask" },
	{ 0x14c04f3f, "drm_universal_plane_init" },
	{ 0x2cd1e5b1, "drm_any_plane_has_format" },
	{ 0xe764f4f, "seq_read" },
	{ 0x8621fe7e, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xeddab9e0, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef6ab8d2, "wp_shared_mapping_range" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xab7015e8, "drm_connector_list_iter_next" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x85a8957b, "drm_object_property_set_value" },
	{ 0x959c1a96, "drm_modeset_acquire_fini" },
	{ 0xfce4d3ae, "drm_encoder_init" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x395b3662, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x40081989, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xabc241b2, "pci_release_regions" },
	{ 0xcec691e3, "drm_event_reserve_init" },
	{ 0x80d87178, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xba64f5ae, "drm_helper_probe_single_connector_modes" },
	{ 0xf9b37dae, "ttm_resource_manager_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb946c6af, "__drm_atomic_helper_crtc_reset" },
	{ 0x3ac2a4fb, "drm_modeset_backoff" },
	{ 0xceb18af0, "ttm_device_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb1dd9bcc, "drm_property_create_range" },
	{ 0xf2938bb1, "ttm_bo_validate" },
	{ 0xc9d1c6fa, "pci_disable_device" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xc4c68720, "single_release" },
	{ 0xcb7e52c6, "ttm_sg_tt_init" },
	{ 0xd57f3617, "drm_atomic_helper_page_flip" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0xdf291151, "drm_gem_ttm_dumb_map_offset" },
	{ 0xca7fc4d8, "ttm_bo_move_to_lru_tail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x20fe29dd, "ttm_bo_vm_open" },
	{ 0x6b0ba915, "drm_mode_config_reset" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x4d9c7495, "drm_modeset_drop_locks" },
	{ 0x3e42beb9, "drm_mode_config_cleanup" },
	{ 0xf057f4dc, "drm_atomic_helper_resume" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xd057848d, "ttm_resource_init" },
	{ 0xcd708b, "ttm_bo_put" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x128f69e5, "single_open" },
	{ 0x5f996a, "pcim_enable_device" },
	{ 0x351caae4, "ttm_resource_free" },
	{ 0x2042cb39, "ttm_bo_move_memcpy" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6accdf5, "ttm_bo_wait_ctx" },
	{ 0x7150dc63, "drm_atomic_helper_update_plane" },
	{ 0xd8804d59, "pci_free_irq_vectors" },
	{ 0xad65f0d, "cc_platform_has" },
	{ 0x53b954a2, "up_read" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x98b53eec, "drm_atomic_helper_suspend" },
	{ 0x3b2f1f1f, "drm_compat_ioctl" },
	{ 0x790ffec, "drm_dev_register" },
	{ 0x249bf0d1, "ttm_tt_fini" },
	{ 0x7f1ef856, "ttm_device_fini" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x58f08cfb, "ttm_bo_eviction_valuable" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x41d4ae1, "drm_atomic_get_connector_state" },
	{ 0x7aa39f7e, "drm_gem_ttm_print_info" },
	{ 0xb599d848, "sync_file_create" },
	{ 0xb30cba48, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xdefe6e6e, "ttm_range_man_init_nocheck" },
	{ 0xeb249eb2, "pin_user_pages_fast" },
	{ 0x7b0c9ad3, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xc1da3167, "drm_atomic_helper_plane_destroy_state" },
	{ 0x684837c7, "drm_gem_ttm_vmap" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xf88c1325, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x3e6c6adf, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9f4b32b6, "drm_is_current_master" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x56fd82f, "drm_poll" },
	{ 0xd1037443, "ww_mutex_lock_interruptible" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcd8eb550, "drm_mode_object_find" },
	{ 0x72f5078c, "drm_mode_crtc_set_gamma_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfdcd18f1, "drm_connector_register" },
	{ 0x66ea8768, "dma_pool_create" },
	{ 0x328e10c1, "dma_resv_reserve_fences" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7e439e76, "drm_gem_ttm_vunmap" },
	{ 0xc57bf23a, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x84edd658, "drm_framebuffer_init" },
	{ 0xf8ab9938, "drm_plane_enable_fb_damage_clips" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xd20fa294, "devm_memremap" },
	{ 0xf8792d6c, "ttm_bo_vm_close" },
	{ 0xe571749, "pci_alloc_irq_vectors" },
	{ 0x8c2a8515, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1fd7030f, "drm_mode_probed_add" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x5f9b8b6a, "drm_atomic_helper_disable_plane" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x3fb7e327, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8df1d52a, "clean_record_shared_mapping_range" },
	{ 0x3d27f224, "ttm_pool_free" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa397c8d1, "ttm_io_prot" },
	{ 0x4ea7590a, "ttm_pool_alloc" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe6e0103b, "drm_modeset_lock_all" },
	{ 0x4425fc01, "drm_atomic_helper_shutdown" },
	{ 0x4e4a8f53, "ttm_bo_vm_reserve" },
	{ 0x14b8850e, "drm_framebuffer_lookup" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xbeb8ef3b, "devm_ioremap" },
	{ 0x775ca3f7, "ww_mutex_unlock" },
	{ 0x2da340b4, "drm_prime_sg_to_page_array" },
	{ 0xb004d9d8, "unpin_user_pages" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe8b23aed, "fd_install" },
	{ 0xc1b2382a, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x11cd1dbc, "unmap_mapping_range" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xbab36f4, "dma_resv_add_fence" },
	{ 0xf87a2a8d, "drm_mode_create_suggested_offset_properties" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8b3aa8f, "ttm_range_man_fini_nocheck" },
	{ 0xa5bf1e37, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0x400948b2, "drm_crtc_cleanup" },
	{ 0x56b62f35, "drm_connector_list_iter_begin" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0x92b2dc0b, "drm_encoder_cleanup" },
	{ 0xfef5ce6e, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc2466876, "drm_modeset_acquire_init" },
	{ 0x9b2576d2, "pci_irq_vector" },
	{ 0xc98b4cd2, "drm_gem_prime_handle_to_fd" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb09d4438, "drmm_mode_config_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaf10dd03, "drm_plane_get_damage_clips" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0x6f5ec6fd, "ttm_eu_reserve_buffers" },
	{ 0x57b6efe3, "drm_ioctl_flags" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x96b51470, "ttm_resource_manager_evict_all" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0951ebe, "ttm_bo_pin" },
	{ 0x397832a0, "drm_add_modes_noedid" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf811dd01, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x25c38833, "drm_mode_object_put" },
	{ 0x8c144836, "drm_gem_handle_delete" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x215d1764, "drm_gem_object_lookup" },
	{ 0x6361e4f4, "drm_gem_ttm_mmap" },
	{ 0x5db174d, "drm_connector_attach_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfc2faf72, "drm_master_put" },
	{ 0xcc0854ab, "drm_sysfs_hotplug_event" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcf9dd27b, "ttm_bo_kunmap" },
	{ 0x1f63a196, "drm_atomic_helper_damage_iter_init" },
	{ 0xe0b5c787, "ww_mutex_trylock" },
	{ 0x39425b52, "ttm_device_swapout" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x9ffef8b7, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x493a6b0e, "drm_atomic_helper_commit" },
	{ 0xc62e0964, "drm_atomic_helper_check" },
	{ 0x2d011e3a, "dma_buf_export" },
	{ 0x9e12cd00, "drm_atomic_helper_connector_destroy_state" },
	{ 0x3663ebd1, "drm_connector_list_iter_end" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0xe5f41cc1, "__free_pages" },
	{ 0xcafea634, "drm_gem_mmap" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x94c0051a, "_dev_info" },
	{ 0xa90e2916, "drm_ioctl" },
	{ 0x4858a191, "drm_plane_cleanup" },
	{ 0xf61f46f5, "drm_dev_printk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9352a612, "drm_gem_prime_fd_to_handle" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac7f99b0, "ttm_eu_backoff_reservation" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa6732c52, "drm_atomic_helper_dirtyfb" },
	{ 0xcf9c4069, "drm_modeset_lock" },
	{ 0x8fb53515, "__task_pid_nr_ns" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba27b4f4, "drm_connector_init" },
	{ 0xbeded0e8, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xa4713c19, "ttm_resource_manager_create_debugfs" },
	{ 0x229bea84, "ttm_resource_fini" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd328b7b2, "drm_file_get_master" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe26af6b8, "drm_event_cancel_free" },
	{ 0x224ea8f3, "pid_task" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x611c4b10, "__drm_atomic_helper_connector_reset" },
	{ 0x79cee7f, "__drm_atomic_helper_connector_destroy_state" },
	{ 0xef86c381, "ttm_bo_vm_fault_reserved" },
	{ 0xcf26202a, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x3a593737, "drm_read" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0x73580dff, "drm_gem_object_release" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2816643, "ttm_eu_fence_buffer_objects" },
	{ 0x7559d05e, "dma_alloc_attrs" },
	{ 0xb52531c4, "dma_buf_get" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x10885bdc, "ww_mutex_lock" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe1cb78f3, "ttm_tt_init" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");

MODULE_ALIAS("pci:v000015ADd00000405sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015ADd00000406sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DCA77519500831E010C4679");
