#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xd46c5b2c, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xb2e498b3, "_gpl");
SYMBOL_CRC(stm_data_write, 0x7487d069, "_gpl");
SYMBOL_CRC(stm_register_device, 0x37191dc0, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x484ee5e9, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xab5afd9d, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xf882866d, "_gpl");
SYMBOL_CRC(stm_source_write, 0x8e0bc6b5, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x454dc87e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f984513, "strrchr" },
	{ 0x92448ee, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x677d6ebd, "compat_ptr_ioctl" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa0597aa3, "configfs_register_subsystem" },
	{ 0xe75f51f6, "device_add" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x529ed30e, "config_group_init_type_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe89f2981, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcc5d413e, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa9725a36, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f8f1e05, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x6bcdf5e8, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x75664bfa, "config_item_put" },
	{ 0x72b2e15e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5a6f4e7a, "kobject_set_name" },
	{ 0x2ac8eff8, "device_match_name" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0xcbe8c6e7, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x61868f5c, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9d3af6d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7622cd2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x14730341, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x703eee03, "device_unregister" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0x66978c7, "vm_iomap_memory" },
	{ 0x3d29752c, "config_item_get" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x560b42c9, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d1ec858, "put_device" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F8117C4D1C07EC8F6D13605");
