#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x5ef1657f, "mma9551_read_accel_chan" },
	{ 0x90cd9a82, "mma9551_read_status_words" },
	{ 0x73048e1, "mma9551_gpio_config" },
	{ 0x73105ed6, "i2c_client_get_device_id" },
	{ 0x71380f87, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a589a9b, "mma9551_read_version" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0xa56bc333, "__iio_device_register" },
	{ 0x92d83e5d, "mma9551_read_config_words" },
	{ 0x1a7e0c89, "mma9551_app_reset" },
	{ 0xfcd90dd7, "mma9551_write_config_words" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xe94cf599, "is_acpi_device_node" },
	{ 0x7fed7b34, "acpi_match_device" },
	{ 0xe2f890e8, "iio_push_event" },
	{ 0x2cba271, "iio_enum_read" },
	{ 0xfd7e097e, "iio_enum_write" },
	{ 0xd0a56f5b, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcce9af55, "i2c_register_driver" },
	{ 0xefc85793, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xe27f0226, "iio_device_unregister" },
	{ 0xcbe8c6e7, "__pm_runtime_disable" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xb010cea4, "iio_get_time_ns" },
	{ 0x10970b91, "mma9551_write_config_word" },
	{ 0xc6e775e0, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52a620c, "mma9551_set_power_state" },
	{ 0x3c4aaa77, "i2c_del_driver" },
	{ 0x1d8fd6a, "mma9551_read_status_word" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "F1242C485FB389CECBDB67B");
