#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_magn_regmap_config, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_probe, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_remove, "", "IIO_BMC150_MAGN");
KSYMTAB_DATA(bmc150_magn_pm_ops, "", "IIO_BMC150_MAGN");

SYMBOL_CRC(bmc150_magn_regmap_config, 0xe77a1278, "");
SYMBOL_CRC(bmc150_magn_probe, 0x26e76680, "");
SYMBOL_CRC(bmc150_magn_remove, 0xda9b9873, "");
SYMBOL_CRC(bmc150_magn_pm_ops, 0x46fea51a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe27f0226, "iio_device_unregister" },
	{ 0xcbe8c6e7, "__pm_runtime_disable" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xf198d6f4, "iio_triggered_buffer_cleanup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3087a4e3, "iio_trigger_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0cdfdde, "regulator_bulk_disable" },
	{ 0x71380f87, "devm_iio_device_alloc" },
	{ 0x7cb01d93, "devm_regulator_bulk_get" },
	{ 0x5a88110b, "iio_read_mount_matrix" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0146252, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda80979, "regmap_write" },
	{ 0xcf215270, "iio_device_id" },
	{ 0x9c726b15, "__devm_iio_trigger_alloc" },
	{ 0x5a5179e5, "iio_trigger_register" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x17a98422, "iio_triggered_buffer_setup_ext" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0xa56bc333, "__iio_device_register" },
	{ 0xe94cf599, "is_acpi_device_node" },
	{ 0x7fed7b34, "acpi_match_device" },
	{ 0x82a61816, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x8988b056, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0x96848186, "scnprintf" },
	{ 0xf766edc2, "iio_buffer_enabled" },
	{ 0xa041e53b, "iio_push_to_buffers" },
	{ 0xaf9f4ef, "iio_trigger_notify_done" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "60BA42D962978C4291D0227");
