#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xb2421bdc, "");
SYMBOL_CRC(bme280_chip_info, 0xc5a73a18, "");
SYMBOL_CRC(bmp380_chip_info, 0x2f4dfaaa, "");
SYMBOL_CRC(bmp580_chip_info, 0xd78fb11c, "");
SYMBOL_CRC(bmp180_chip_info, 0xce233e07, "");
SYMBOL_CRC(bmp280_common_probe, 0x7c4eaf8a, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0xb336576b, "");
SYMBOL_CRC(bmp180_regmap_config, 0x54243fe0, "");
SYMBOL_CRC(bmp280_regmap_config, 0xbea2e282, "");
SYMBOL_CRC(bmp380_regmap_config, 0x51f05463, "");
SYMBOL_CRC(bmp580_regmap_config, 0x5f8ce8e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4bb2c73, "regmap_bulk_write" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8988b056, "regmap_bulk_read" },
	{ 0xef643c5d, "regmap_update_bits_base" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0xd4c52208, "__pm_runtime_suspend" },
	{ 0xcf38acab, "__devm_add_action" },
	{ 0xc080e9aa, "__pm_runtime_use_autosuspend" },
	{ 0xcbe8c6e7, "__pm_runtime_disable" },
	{ 0xdf47284f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbda80979, "regmap_write" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x97f096ce, "gpiod_set_value" },
	{ 0x2e8a445, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdefa8d79, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a6c666d, "pm_runtime_enable" },
	{ 0xb0cdfdde, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94c0051a, "_dev_info" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x26e1ae52, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a71c725, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x71380f87, "devm_iio_device_alloc" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x4bc98ef1, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0146252, "regulator_bulk_enable" },
	{ 0x7cb01d93, "devm_regulator_bulk_get" },
	{ 0x9c0334a8, "regmap_read" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "E7F016EA265DAB63D9AFB20");
