#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x74075eb, "platform_device_unregister" },
	{ 0x6cbfdbe2, "platform_get_resource" },
	{ 0x45538e7b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe11595d5, "debugfs_remove" },
	{ 0xd102d455, "napi_enable" },
	{ 0x6c01f356, "netif_receive_skb" },
	{ 0x217f56d0, "register_netdev" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x24495062, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb58a55ad, "netif_tx_stop_all_queues" },
	{ 0x52836637, "bpf_trace_run1" },
	{ 0xdf94fe85, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaecdd60c, "__platform_driver_register" },
	{ 0xd888a48f, "pv_ops" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0xe764f4f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x86219841, "platform_device_register_full" },
	{ 0x999e8297, "vfree" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe4a5857b, "acpi_fetch_acpi_dev" },
	{ 0x265a669, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc2139fed, "netif_carrier_off" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x96a52bae, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xc4c68720, "single_release" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x77d71331, "napi_disable" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x128f69e5, "single_open" },
	{ 0x7540b88f, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9029871a, "acpi_bus_register_driver" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x80124efe, "acpi_device_hid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x989d3a9b, "bpf_trace_run4" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xa1756194, "__napi_alloc_skb" },
	{ 0x1a8fd2aa, "platform_driver_unregister" },
	{ 0x80d0d9dc, "vmalloc_to_page" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xa7aa1149, "platform_get_irq" },
	{ 0x63f0e955, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xf2a7e840, "unregister_netdev" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0x19390373, "dev_trans_start" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0xe9a9b97b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4bcc8435, "ether_setup" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0x288fd4cd, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac7313bb, "napi_complete_done" },
	{ 0x2046a886, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C02:*");

MODULE_INFO(srcversion, "82C27DA7DF095586BF5430A");
