#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xed277034, "_gpl");
SYMBOL_CRC(rndis_command, 0xc940a84a, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x2b7c14e3, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x98550b81, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x46a55d61, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x69780fb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2d471ab, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ca0bc9e, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94c0051a, "_dev_info" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x162de724, "usbnet_generic_cdc_bind" },
	{ 0x68fe247e, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fe4fedd, "dev_addr_mod" },
	{ 0xc172bc2, "__dynamic_netdev_dbg" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x186135bf, "skb_trim" },
	{ 0xe8287f7f, "usbnet_cdc_zte_rx_fixup" },
	{ 0xcca3e381, "skb_clone" },
	{ 0xa1b80d10, "usbnet_skb_return" },
	{ 0x7f081c18, "skb_copy_expand" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa82c7e6a, "usb_register_driver" },
	{ 0x8a99b3f7, "usb_deregister" },
	{ 0x3b2ee89d, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13d43fc7, "usbnet_probe" },
	{ 0x4bf3408a, "usbnet_disconnect" },
	{ 0x92c12c80, "usbnet_suspend" },
	{ 0xde55999f, "usbnet_resume" },
	{ 0xa7bb8c6b, "usbnet_open" },
	{ 0x409a39bc, "usbnet_stop" },
	{ 0xf7ebecaa, "usbnet_start_xmit" },
	{ 0x3bbbfa49, "eth_mac_addr" },
	{ 0x432a19a8, "eth_validate_addr" },
	{ 0x6f87a018, "usbnet_tx_timeout" },
	{ 0x977be3f6, "dev_get_tstats64" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
