#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef600079, "mt76_release_buffered_frames" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0x7fec0654, "mt76_get_txpower" },
	{ 0xd1acc8b7, "__pci_register_driver" },
	{ 0xdb646536, "mt76x02_dma_disable" },
	{ 0x4e1b2c72, "mt76_wake_tx_queue" },
	{ 0xa2c92183, "mt76x02e_init_beacon_config" },
	{ 0xd5a4b1c8, "mt76_get_antenna" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x299ceb20, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3c1a944c, "pci_set_power_state" },
	{ 0xfa8640ae, "mt76x02_sta_ps" },
	{ 0x232d4852, "mt76x02_sta_rate_tbl_update" },
	{ 0x287ab4dc, "kthread_park" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x6929e3f6, "mt76_dma_cleanup" },
	{ 0xaa62a3e8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x689ef96e, "mt76x02_reconfig_complete" },
	{ 0xf90b514b, "mt76_alloc_device" },
	{ 0xf811dd01, "wake_up_process" },
	{ 0x5e37fc4, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d5d0580, "mt76x02_update_channel" },
	{ 0x43439c5f, "__napi_schedule" },
	{ 0xbb1b8aaa, "mt76_pci_disable_aspm" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x9cc60811, "mt76x02_configure_filter" },
	{ 0x2460bfb9, "mt76_free_device" },
	{ 0xb2e82bd4, "mt76x0_chip_onoff" },
	{ 0x80688514, "mt76x02_queue_rx_skb" },
	{ 0xa9857163, "kthread_unpark" },
	{ 0x341338f6, "pcim_iomap_regions" },
	{ 0x81f1b6b, "ieee80211_queue_delayed_work" },
	{ 0xcfe9ec48, "mt76x0_config" },
	{ 0xc41b58b8, "mt76x0_register_device" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0xf2aeee44, "mt76x02_rx_poll_complete" },
	{ 0x859d5f2b, "mt76x0_phy_calibrate" },
	{ 0x2a883e76, "mt76_set_tim" },
	{ 0xdb3cae54, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xd102d455, "napi_enable" },
	{ 0x6b8d482f, "mt76x02_tx" },
	{ 0xe218c3e5, "mt76_mmio_init" },
	{ 0xbcae739e, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x68e5cd17, "mt76x02_sta_add" },
	{ 0xa44a4165, "mt76_unregister_device" },
	{ 0xda7b30ed, "pci_restore_state" },
	{ 0x3f326c49, "mt76x0_mac_stop" },
	{ 0xfbf939df, "mt76_get_survey" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x349660ed, "ieee80211_emulate_add_chanctx" },
	{ 0xde8ef3ee, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x997fad0d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x19e24707, "mt76x02_set_rts_threshold" },
	{ 0xe1385ec5, "mt76x02_tx_complete_skb" },
	{ 0xb3227b6d, "mt76_sta_state" },
	{ 0xa276f8a4, "mt76x02_mcu_msg_send" },
	{ 0x8bc7d412, "mt76x0_init_hardware" },
	{ 0x4049b597, "mt76x02_bss_info_changed" },
	{ 0x3ec19da3, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x97f1030b, "mt76x02_add_interface" },
	{ 0x69376423, "____mt76_poll_msec" },
	{ 0xd2cb8518, "mt76x02_tx_prepare_skb" },
	{ 0xcfcc82a7, "mt76x02_mcu_cleanup" },
	{ 0x1a5d9699, "mt76x02_ampdu_action" },
	{ 0x531ececc, "mt76x02_conf_tx" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x73c4cecf, "mt76_sw_scan" },
	{ 0x6050589, "mt76_sta_pre_rcu_remove" },
	{ 0x1c61d648, "pcim_iomap_table" },
	{ 0xa2b551c, "napi_schedule_prep" },
	{ 0x77d71331, "napi_disable" },
	{ 0x164e355e, "__mt76_poll" },
	{ 0x5f996a, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd34351a4, "ieee80211_emulate_remove_chanctx" },
	{ 0x484c8e1a, "mt76x02_mac_start" },
	{ 0x94e87a35, "mt76x02_remove_interface" },
	{ 0x289b06e3, "mt76x02_dma_init" },
	{ 0xadd36db, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0xf55cfb5a, "mt76x0_set_sar_specs" },
	{ 0xd883010e, "pci_choose_state" },
	{ 0x8a58b2ba, "mt76x02_set_ethtool_fwver" },
	{ 0xe85e91fd, "mt76x02_set_key" },
	{ 0x4b736bdd, "mt76x02_mcu_parse_response" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B0A074F965F705E2B57676");
