#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x82b009ef, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xd8c083f9, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x8850d155, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x5001b87a, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x607ca472, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xe5bdcca9, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xa88c3ced, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xc0436a17, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x6a9f7612, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xa94092a4, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xc6e39eb8, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x441e05de, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x35691a05, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x6ca0c014, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xf3c95338, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x7497ede9, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xde7aebc7, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x31b30db8, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xb95535e0, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xccb25802, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xb5d03c26, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x37c560b5, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xa7181f39, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xb4216f07, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x482fe31a, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x08052225, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x70ab8fbe, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x5d708c20, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x7a2fe4c1, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x4bf34e02, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x713aabc1, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xc80201df, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xf05a0f93, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xa69c30cf, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xffe043b0, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x07d648bd, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xf17479c1, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xe085c59c, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x32bb8b16, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xba150b99, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x81baeb86, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xd81afe9c, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xb528fcc4, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xe5ed88e2, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x1009340f, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x75d4dfcb, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x2b1901f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c8d3ece, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x232cc8f7, "dma_unmap_page_attrs" },
	{ 0x3ad5cb4, "request_firmware" },
	{ 0xfeb9073e, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x6ac341b1, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xaab8815, "led_classdev_unregister" },
	{ 0xb374275e, "ieee80211_register_hw" },
	{ 0xebc32ba1, "__ieee80211_create_tpt_led_trigger" },
	{ 0xb4688747, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xd6971a07, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0xb49a5465, "ieee80211_tx_status_skb" },
	{ 0x4893afb0, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c67be8f, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x81f1b6b, "ieee80211_queue_delayed_work" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x1b6d555e, "ieee80211_ctstoself_get" },
	{ 0x2976dedc, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a418b9f, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbfa6a229, "ieee80211_free_txskb" },
	{ 0x608b8ab0, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58f91cc1, "ieee80211_stop_queue" },
	{ 0x51fc2d80, "__netdev_alloc_skb" },
	{ 0x5ea01be5, "ieee80211_stop_queues" },
	{ 0x186135bf, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf74de7d7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2726b440, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xef588dbe, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8adf38f7, "led_classdev_resume" },
	{ 0x51a20224, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46786756, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3f2e1fff, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8fd5f8b4, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x42ae780b, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x65ff3eb3, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x398792fa, "ieee80211_iterate_interfaces" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");
