#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1600403, "kernfs_notify" },
	{ 0x51816148, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x5e6fcf11, "_copy_from_iter_flushcache" },
	{ 0xe0d8d584, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xa0795d72, "put_disk" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf7dfcf6a, "nvdimm_setup_pfn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7cb5e318, "nvdimm_namespace_attach_btt" },
	{ 0xf07ceba3, "nvdimm_badblocks_populate" },
	{ 0xba5293e2, "blk_queue_flag_set" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x8a9abbde, "nvdimm_namespace_detach_btt" },
	{ 0x6c97e765, "dax_add_host" },
	{ 0x58142635, "bio_start_io_acct" },
	{ 0x957ec011, "nvdimm_has_flush" },
	{ 0xc8126340, "clear_mce_nospec" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb034542a, "pmem_should_map_pages" },
	{ 0xf50b6631, "bio_endio" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xa46bf13a, "set_capacity" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0xa42aa8c4, "kernfs_find_and_get_ns" },
	{ 0x567e3fa0, "dax_remove_host" },
	{ 0x34130a4c, "nvdimm_clear_poison" },
	{ 0xb683e27e, "driver_unregister" },
	{ 0x929d1668, "__nd_driver_register" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1b55fcdf, "del_gendisk" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x75a6ebd1, "pmem_sector_size" },
	{ 0xb159208e, "to_nd_btt" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccd29b4, "nvdimm_namespace_disk_name" },
	{ 0x23b29de2, "is_nd_btt" },
	{ 0xbd60b0e1, "nvdimm_flush" },
	{ 0x27ba7edf, "nd_pfn_probe" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1732b0c8, "nd_dax_probe" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0xf3af10ec, "is_nvdimm_sync" },
	{ 0xf5a0d979, "kernfs_put" },
	{ 0xa1df739d, "devm_memremap_pages" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63598591, "devm_namespace_disable" },
	{ 0xf731ed55, "nvdimm_check_and_set_ro" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x7242d92, "put_dax" },
	{ 0xe6fa490c, "badblocks_check" },
	{ 0x549d1ea2, "is_nd_pfn" },
	{ 0xbda1d64, "nvdimm_namespace_common_probe" },
	{ 0xcf38acab, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf85f6d0f, "badblocks_clear" },
	{ 0x80200136, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x99a03078, "dax_holder_notify_failure" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xfcdae225, "to_nd_pfn" },
	{ 0xc2a9d751, "nd_btt_probe" },
	{ 0xb67a5c30, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xa7cdf8eb, "nvdimm_has_cache" },
	{ 0xd20fa294, "devm_memremap" },
	{ 0x4837f6f5, "device_add_disk" },
	{ 0x4eccf461, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x82ccda75, "to_nd_region" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xaab5da3b, "blk_queue_write_cache" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x5010b837, "alloc_dax" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm,nd_btt");


MODULE_INFO(srcversion, "1765E47647F765D1FFE696A");
