#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x5dcb0baf, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x57cc9a3f, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xe105676d, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x3458f48e, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0xe5322224, "");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x0ecba92e, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xaec63055, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x6146d281, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x98298121, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x1f9e188d, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x32dcc695, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xa5d3c8ce, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x39725bff, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x5d5805c6, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x231b7074, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x2cc64c40, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x834b8a65, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x122f502e, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xd87bea0b, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x7ba966b6, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x33664df4, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xad32085e, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xab9e40f5, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x073951d7, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x359bacf0, "");
SYMBOL_CRC(ufshcd_system_resume, 0xcbba0339, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xf348aff1, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x1460b003, "");
SYMBOL_CRC(ufshcd_remove, 0xd855d576, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x12501336, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x07593581, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x467ba5a8, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x946fe3b4, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xf7d0ea01, "");
SYMBOL_CRC(ufshcd_init, 0xe176fe11, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xa11ca8ab, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x11e9abb9, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xd356eb45, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x8d5d11cd, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xb556151c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x1d9e5b13, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x7bdfae0a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x2fdf8e31, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x1d5e16b1, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x60f54666, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xe983141f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf20a7f4c, "scsi_change_queue_depth" },
	{ 0xdf47284f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa6319caf, "device_remove_file" },
	{ 0xaf2b8221, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xffdd34fc, "scsi_dma_map" },
	{ 0xcf2201b1, "scsi_print_sense_hdr" },
	{ 0x59d11255, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8caa2237, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x491ba272, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x989d3a9b, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xfdee708c, "devm_request_threaded_irq" },
	{ 0xf258a6e3, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0xde428286, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xb615b559, "scsi_autopm_put_device" },
	{ 0xbd4fa53e, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4e2944da, "bsg_remove_queue" },
	{ 0xe3a63122, "dev_set_name" },
	{ 0x13b692f3, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa52288d, "dmam_alloc_attrs" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xbccb271b, "scsi_remove_host" },
	{ 0x259ef404, "bpf_trace_run6" },
	{ 0x3b520949, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x5cfac33b, "blk_pm_runtime_init" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x83800a4c, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x55d4fab8, "sysfs_remove_groups" },
	{ 0xdf0aadd6, "hwmon_notify_event" },
	{ 0xea8f9e21, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x2638dc6d, "device_initialize" },
	{ 0xcf87aaaa, "devfreq_recommended_opp" },
	{ 0x591705c3, "sysfs_create_groups" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8a2ac131, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0xd0f65b70, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0xa8309b43, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xda41fc83, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbac429f7, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc15536a6, "blk_mq_alloc_tag_set" },
	{ 0xf2d5bd16, "devfreq_add_device" },
	{ 0x7765b9cd, "dev_driver_string" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce9a73ca, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8219a5e3, "scsi_register_driver" },
	{ 0x2a369531, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1b41c873, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5d1ec858, "put_device" },
	{ 0x6abdb24f, "dev_pm_opp_put" },
	{ 0x61fc7bc8, "blk_mq_free_request" },
	{ 0xcdb2c827, "device_property_read_u32_array" },
	{ 0x6982a3d1, "devm_regulator_get" },
	{ 0xb8d4ad10, "dev_pm_opp_get_freq_indexed" },
	{ 0x94c0051a, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9f59c122, "scsi_device_put" },
	{ 0xc4a882ab, "device_create_file" },
	{ 0x6a28105d, "debugfs_attr_read" },
	{ 0xeb044342, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x54d2d740, "devm_kfree" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x7a0693b2, "devfreq_remove_device" },
	{ 0x75979c30, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xe75f51f6, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xec5b43d3, "simple_attr_release" },
	{ 0xdc9b3f26, "hwmon_device_register_with_info" },
	{ 0xd0dcf79, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0xae08c342, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5f7992a0, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0xfa67e050, "sdev_prefix_printk" },
	{ 0x6591a2c8, "scsi_scan_host" },
	{ 0xe11595d5, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0x832f8a1e, "device_link_remove" },
	{ 0x11b3fece, "blk_mq_alloc_request" },
	{ 0xb683e27e, "driver_unregister" },
	{ 0xcebe9eaa, "blk_queue_update_dma_pad" },
	{ 0x49799c0a, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf2b3d1e9, "blk_put_queue" },
	{ 0x35475f03, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9a4c768b, "dev_pm_opp_set_opp" },
	{ 0xd1fbbdc5, "dmam_free_coherent" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc4bd5046, "regulator_count_voltages" },
	{ 0x5c89b6d8, "scsi_is_host_device" },
	{ 0xc4d4485d, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8bcf6c59, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4518b349, "blk_mq_unique_tag" },
	{ 0x451c4240, "bpf_trace_run10" },
	{ 0x8453b436, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66e9580, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c477992, "dma_set_coherent_mask" },
	{ 0x5081aeea, "scsi_print_command" },
	{ 0xe764f4f, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6bcdf5e8, "pm_runtime_forbid" },
	{ 0x8805612f, "debugfs_create_file" },
	{ 0x8a705c31, "param_set_uint_minmax" },
	{ 0xb2d243fb, "pm_runtime_allow" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3890b814, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0x1e44887e, "blk_mq_destroy_queue" },
	{ 0x27efc0ff, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x77d3960, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xa51647d1, "devm_blk_crypto_profile_init" },
	{ 0xa8a1167e, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2ac69f6e, "blk_mq_tagset_busy_iter" },
	{ 0x15567551, "scsi_done" },
	{ 0xc4c68720, "single_release" },
	{ 0xb15a756d, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5f41612f, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x147f78fd, "regulator_disable" },
	{ 0x9b7631ce, "dev_err_probe" },
	{ 0x7ce49611, "dma_unmap_sg_attrs" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xb959320d, "scsi_remove_device" },
	{ 0x4247095d, "scsi_block_requests" },
	{ 0x6dce531b, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x128f69e5, "single_open" },
	{ 0x81dece5f, "scsi_host_alloc" },
	{ 0xa6ec920, "__scsi_add_device" },
	{ 0x94d8501b, "devfreq_resume_device" },
	{ 0x7540b88f, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x182c66d0, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "ABF02074EF5AF71EC272637");
