#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xf71e4a44, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0xbf648bd6, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x74ee2825, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x863689cc, "");
SYMBOL_CRC(nfc_hci_free_device, 0x2aaa23a6, "");
SYMBOL_CRC(nfc_hci_register_device, 0xada7be1c, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x6b5c96c5, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x1b820d20, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xb68544f6, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x210c6831, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x49551035, "");
SYMBOL_CRC(nfc_hci_send_event, 0xcdb7c83b, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x55fe1f52, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xe095eba4, "");
SYMBOL_CRC(nfc_hci_set_param, 0x518524c2, "");
SYMBOL_CRC(nfc_hci_get_param, 0x3425e2b2, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xa91ea7e7, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x1150b246, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xbc11ac72, "");
SYMBOL_CRC(nfc_llc_start, 0xb2c36b55, "");
SYMBOL_CRC(nfc_llc_stop, 0x0a0df77e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a418b9f, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa775c563, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x186135bf, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x40e5aaa0, "nfc_targets_found" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0x839e5237, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0x8f817d18, "nfc_register_device" },
	{ 0x194b4b0, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x10df9b1b, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbad15ee6, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb0acc9c0, "nfc_allocate_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3223738, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf3e32f, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d1ec858, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3da757b4, "__alloc_skb" },
	{ 0x2b8bf0ed, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2976dedc, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");
