#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x36289438, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x6b2ef993, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x8761f993, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xc0d6548f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x270d408f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2d12c367, "inet_ctl_sock_create" },
	{ 0xf114750d, "inet_ioctl" },
	{ 0xa07558e7, "reuseport_add_sock" },
	{ 0x9c53796b, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9416aed2, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2b46575, "perf_trace_run_bpf_submit" },
	{ 0xbeded0e8, "fput" },
	{ 0xf23efe0d, "inet_accept" },
	{ 0xa67e2f38, "init_net" },
	{ 0xbff29037, "crypto_shash_setkey" },
	{ 0x2976dedc, "skb_pull" },
	{ 0xbdef5b63, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe0530150, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x58ea92ae, "__SCK__tp_func_sk_data_ready" },
	{ 0x38d6701e, "inet_add_protocol" },
	{ 0x9de7861b, "inet_shutdown" },
	{ 0x12769e0, "sk_free" },
	{ 0x7c190fc3, "sock_wake_async" },
	{ 0xc2003064, "dev_get_by_index_rcu" },
	{ 0x6dcf943d, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x70f07c3f, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x9a418b9f, "skb_push" },
	{ 0x8c2cd6f2, "__ip_queue_xmit" },
	{ 0x547d9e1, "kmem_cache_free" },
	{ 0x74dc22a7, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xdd4a38dc, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x2d018a3d, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb215b1fe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x996a64d9, "inet6_ioctl" },
	{ 0x1adce044, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xe85b0bd9, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd3ea85b2, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9ddb6dd0, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xef307b58, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7e15f74b, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb6ec3280, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x51ce2a98, "__pskb_pull_tail" },
	{ 0x610af752, "setup_udp_tunnel_sock" },
	{ 0x74aa2720, "udp_sock_create6" },
	{ 0x186135bf, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1bd221e2, "sk_common_release" },
	{ 0xd888a48f, "pv_ops" },
	{ 0xf867b13e, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x67a67bf1, "inet6_getname" },
	{ 0x8201e67e, "sock_i_ino" },
	{ 0x76b9461e, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0bfb8a6, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xc219a275, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x61c84d95, "ipv4_mtu" },
	{ 0x8e221fa1, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x656ee6ad, "trace_event_buffer_reserve" },
	{ 0x633c8684, "__skb_checksum" },
	{ 0x2fff0728, "reuseport_alloc" },
	{ 0xf6c1011c, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xf27ab4e9, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xade1ac44, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6990af4, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf298b144, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x2bad5380, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a4182e8, "seq_printf" },
	{ 0xf824cf4f, "proc_create_net_single" },
	{ 0x9853cff0, "skb_copy" },
	{ 0xcca3e381, "skb_clone" },
	{ 0xb4f423df, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x78041b52, "dst_release" },
	{ 0xbeca76af, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5c01460d, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6cfab9ba, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x858e6dde, "seq_puts" },
	{ 0xc549f7f2, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xc88847dc, "_proc_mkdir" },
	{ 0xe231881b, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad131f68, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x3598ef32, "inet6_add_protocol" },
	{ 0x5cfd98e0, "from_kuid_munged" },
	{ 0x1205e5d2, "kmalloc_trace" },
	{ 0xc7879002, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x108260a9, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6c7d360b, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xf1e2b135, "reuseport_detach_sock" },
	{ 0x9c740d9b, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x8a67d672, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{  0x858e5, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9abd5b83, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2800c944, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xbceb0875, "kmalloc_caches" },
	{ 0xc98ea110, "kmem_cache_destroy" },
	{ 0x1240bf1e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x194b4b0, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x535b1bb2, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3272cdba, "sock_i_uid" },
	{ 0x4f5fde91, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf45d2673, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa89a9cd1, "skb_copy_bits" },
	{ 0xab5008bc, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a4cf50d, "sock_wfree" },
	{ 0x4c8d3ece, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8f015f7d, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x662d7ff, "ip6_dst_hoplimit" },
	{ 0xab5145b4, "consume_skb" },
	{ 0xbca11255, "inet6_add_offload" },
	{ 0x323b26ef, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69fe859e, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xddf4995f, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd3b9a38a, "l3mdev_fib_table_by_index" },
	{ 0x68b4508c, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x10df9b1b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc4396de9, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x3901c311, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf139d02a, "skb_segment" },
	{ 0x528a54ae, "trace_event_printf" },
	{ 0x5fea22e2, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa09eda0b, "udp_tunnel6_xmit_skb" },
	{ 0x613759fa, "sock_common_getsockopt" },
	{ 0x48c5b545, "inet_bind" },
	{ 0xcbdcb39e, "sock_create" },
	{ 0xf8696baa, "net_hotdata" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe8b23aed, "fd_install" },
	{ 0xa429e1a9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x9460e407, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xf9fb8a27, "pcpu_hot" },
	{ 0x80a84f6b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xf3b668cf, "__tracepoint_sk_data_ready" },
	{ 0xa956dbd3, "bpf_trace_run2" },
	{ 0xf9fe8631, "sock_common_setsockopt" },
	{ 0x45434baa, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x52bd414b, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x7e2f0577, "kmem_cache_create" },
	{ 0x6cc8abf4, "__sk_mem_schedule" },
	{ 0x7799e28b, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x36e1f959, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdb23331e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x2a58894, "sk_error_report" },
	{ 0x4e83a501, "register_pernet_subsys" },
	{ 0x74df829, "put_cmsg" },
	{ 0x736debdf, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x9f9f0bb2, "register_net_sysctl_sz" },
	{ 0xc3f145fc, "inet_sock_destruct" },
	{ 0xd636e93b, "crypto_destroy_tfm" },
	{ 0x8152ca7b, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ad0a9b1, "inet_sk_get_local_port_range" },
	{ 0xd35d290b, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x1133eb98, "inet_getname" },
	{ 0xcc0afa6, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x5e9681fc, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3da757b4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x23c1d754, "inet_release" },
	{ 0xc4c48d48, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b030fd, "kmem_cache_alloc" },
	{ 0xd137a7cc, "proto_register" },
	{ 0x7f081c18, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x331fe813, "inet6_compat_ioctl" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "8D7E81838B89EC8AE4866D7");
