#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x7982c0e7, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x459aa6c6, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xa666e4fb, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x8597f77c, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x40179aa1, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x4d43f343, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xeaa51690, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0xdfe9550e, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x5f516f02, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x7bcd9065, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xb2acb4c5, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x6d932ef9, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x5b01a156, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x1a32294e, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xc2d4c8df, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x0839965f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f080ac, "devm_kmalloc" },
	{ 0x670fe523, "snd_hdac_bus_send_cmd" },
	{ 0xaf9ee500, "snd_hdac_bus_get_response" },
	{ 0x8f6a8153, "snd_hdac_bus_update_rirb" },
	{ 0xcb821a01, "snd_hdac_codec_modalias" },
	{ 0x23402876, "__dynamic_dev_dbg" },
	{ 0xb70f10b5, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d1ec858, "put_device" },
	{ 0xd2b2a0cc, "snd_hdac_device_register" },
	{ 0xbe24878a, "snd_hdac_i915_init" },
	{ 0xc8e22fdd, "_dev_err" },
	{ 0x41a83cd3, "snd_hdac_device_unregister" },
	{ 0x38d99ecd, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x512da2b3, "snd_hdac_bus_stop_cmd_io" },
	{ 0xb6112e8c, "_dev_warn" },
	{ 0xe16ce2ae, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b07d4c2, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3acb5d62, "snd_hdac_acomp_exit" },
	{ 0xce8744be, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x683e5e81, "snd_hda_codec_device_init" },
	{ 0xc4835b56, "snd_hdac_set_codec_wakeup" },
	{ 0x2fd9f4c4, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9d59ce, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "358D3CEB3FBDC6A1C2F2168");
